Debian Bug report logs - #642497
nvidia-glx: incorrect rendering followed by xserver infinite loop when using some OpenGL apps

version graph

Package: nvidia-glx; Maintainer for nvidia-glx is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-glx is src:nvidia-graphics-drivers.

Reported by: jshaio@comcast.net

Date: Fri, 23 Sep 2011 03:33:02 UTC

Severity: normal

Merged with 644601, 650861

Found in versions 280.13.really.275.28-1, nvidia-graphics-drivers/290.10-1

Done: Andreas Beckmann <debian@abeckmann.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#642497; Package nvidia-glx. (Fri, 23 Sep 2011 03:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jack <jack@comcast.net>:
New Bug report received and forwarded. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Fri, 23 Sep 2011 03:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jack <jack@comcast.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nvidia-glx: incorrect rendering followed by xserver infinite loop when using some OpenGL apps
Date: Thu, 22 Sep 2011 23:30:25 -0400
Package: nvidia-glx
Version: 280.13.really.275.28-1
Severity: important

Dear Maintainer,


I had nvidia-glx and X running well on Wheezy installed July 23,2011 on a new PC with an NVIDIA 560 Ti card.
After an apt-get upgrade on August 17, the OpenGL features are no longer working correctly and I haven't been
able to restore the system, even when rolling back to July 23 versions (nvidia-glx=275.09.07-5 and xserver-xorg-core=1.10.2.902-1)

OpenGL problems seen in 3 different packages:
 1. /usr/lib/xscreensaver/molecule and /usr/lib/xscreensaver/endgame from xscreensaver-gl 5.14 displays extraneous shapes from
    the center of the image to the edge of the window

 2. /usr/bin/osgdatabaserevisions from openscenegraph-3.0.0-2 also displays extraneous shapes as the image rotates

 3. most serious of all, fgfs from flightgear-2.0.0-4 will display lots of extraneous shapes, have lots of flickering pixels and within
    minutes either lock up the X server or else make it impossible to scroll down any list (or even use less on xterm or gnome-terminal)
    [The same will happen with the flight simulator from googleearth but it takes longer to see the problem.]
    The X server lockup has the following on /var/log/Xorg.0.log:
   [ 672.814] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
   [ 672.814] 
   Backtrace:
   [ 672.830] 0: /usr/bin/X (xorg_backtrace+0x37) [0x80a7e87]
   [ 672.830] 1: /usr/bin/X (mieqEnqueue+0x1d1) [0x80a2171]
   [ 672.830] 2: /usr/bin/X (xf86PostMotionEventM+0xb0) [0x80c8ef0]
   [ 672.830] 3: /usr/bin/X (xf86PostMotionEventP+0x6f) [0x80c903f]
   [ 672.830] 4: /usr/lib/xorg/modules/input/evdev_drv.so (0xb4aff000+0x2cfe) [0xb4b01cfe]
   [ 672.830] 5: /usr/lib/xorg/modules/input/evdev_drv.so (0xb4aff000+0x3e1d) [0xb4b02e1d]
   [ 672.830] 6: /usr/bin/X (0x8048000+0x6dea1) [0x80b5ea1]
   [ 672.830] 7: /usr/bin/X (0x8048000+0x1280d2) [0x81700d2]
   [ 672.830] 8: (vdso) (__kernel_sigreturn+0x0) [0xb7855400]
   [ 672.830] 9: (vdso) (__kernel_vsyscall+0x10) [0xb7855424]
   [ 672.830] 10: /lib/i386-linux-gnu/i686/cmov/libc.so.6 (__gettimeofday+0x16) [0xb7593ff6]
   [ 672.830] 11: /usr/lib/xorg/modules/drivers/nvidia_drv.so (0xb507b000+0x5c48d) [0xb50d748d]

   The Xserver infinite loop problem was mitigating by adding to xorg.conf
   (see http://forums.debian.net/viewtopic.php?f=10&t=69627&p=392257&hilit=nvidia+gl#p392257):
       Section "ServerFlags"
           Option         "IgnoreABI" "True"
       EndSection
   but the Xserver became unusable in that it was impossible to scroll down and select an item
   from a list (for example a music list in totem). Commands like 'less' on a gnome-terminal
   scrolled endlessly even though resize shows the correct number of lines and columns. 


I tried rolling back to the xserver and nvidia-glx versions on July 23, when these worked fine,
but the problems persisted.

I also tried installing the Nvidia driver directly from the NVIDIA package, without dkms, but
the problem was the same.

Bug 641344 describes rendering problems with xserver and nvidia for versions
  xserver-xorg-core 2:1.11.0-1
  xserver-xorg-video-nvidia 285.03-2

but these are newer than the ones I'm currently using:
   nvidia-glx                           280.13.really.275.28-1
   xserver-xorg-core                    2:1.10.4-1


-- Package-specific info:
uname -a:
Linux berkeley 2.6.39-2-686-pae #1 SMP Tue Jul 5 03:48:49 UTC 2011 i686 GNU/Linux

/proc/version:
Linux version 2.6.39-2-686-pae (Debian 2.6.39-3) (ben@decadent.org.uk) (gcc version 4.4.6 (Debian 4.4.6-6) ) #1 SMP Tue Jul 5 03:48:49 UTC 2011

/proc/driver/nvidia/version:
NVRM version: NVIDIA UNIX x86 Kernel Module  275.28  Wed Aug 31 18:26:00 PDT 2011
GCC version:  gcc version 4.4.6 (Debian 4.4.6-8) 

lspci 'VGA compatible controller [0300]':
07:00.0 VGA compatible controller [0300]: nVidia Corporation GF110 [GeForce GTX 560 Ti] [10de:1200] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:2382]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 30
	Region 0: Memory at f8000000 (32-bit, non-prefetchable) [size=32M]
	Region 1: Memory at d8000000 (64-bit, prefetchable) [size=128M]
	Region 3: Memory at d4000000 (64-bit, prefetchable) [size=64M]
	Region 5: I/O ports at bc00 [size=128]
	[virtual] Expansion ROM at fbb80000 [disabled] [size=512K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia

dmesg:
[    0.000000] Console: colour VGA+ 80x25
[    1.101196] vgaarb: device added: PCI:0000:07:00.0,decodes=io+mem,owns=io+mem,locks=none
[    1.101199] vgaarb: loaded
[    1.748987] Linux agpgart interface v0.103
[    7.153413] nvidia: module license 'NVIDIA' taints kernel.
[    7.795999] nvidia 0000:07:00.0: PCI INT A -> GSI 30 (level, low) -> IRQ 30
[    7.796005] nvidia 0000:07:00.0: setting latency timer to 64
[    7.796009] vgaarb: device changed decodes: PCI:0000:07:00.0,olddecodes=io+mem,decodes=none:owns=io+mem
[    7.796086] NVRM: loading NVIDIA UNIX x86 Kernel Module  275.28  Wed Aug 31 18:26:00 PDT 2011
[    8.059963] hda_intel: Disable MSI for Nvidia chipset

OpenGL and NVIDIA library files installed:
    0 lrwxrwxrwx 1 root root       15 Sep 22 22:16 /etc/alternatives/glx -> /usr/lib/nvidia/
    0 lrwxrwxrwx 1 root root       46 Sep 22 22:15 /etc/alternatives/glx--libGL.so-i386-linux-gnu -> /usr/lib/mesa-diverted/i386-linux-gnu/libGL.so
    0 lrwxrwxrwx 1 root root       46 Sep 22 22:15 /etc/alternatives/glx--libGL.so-i386-linux-gnu -> /usr/lib/mesa-diverted/i386-linux-gnu/libGL.so
    0 lrwxrwxrwx 1 root root       41 Sep 22 22:16 /etc/alternatives/glx--libGL.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/libGL.so.1
    0 lrwxrwxrwx 1 root root       41 Sep 22 22:16 /etc/alternatives/glx--libGL.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/libGL.so.1
    0 lrwxrwxrwx 1 root root       49 Sep 22 22:16 /etc/alternatives/glx--libXvMCNVIDIA.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/libXvMCNVIDIA.so.1
    0 lrwxrwxrwx 1 root root       57 Sep 22 22:16 /etc/alternatives/glx--libXvMCNVIDIA_dynamic.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/libXvMCNVIDIA_dynamic.so.1
    0 lrwxrwxrwx 1 root root       49 Sep 22 22:16 /etc/alternatives/glx--libnvidia-cfg.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/libnvidia-cfg.so.1
    0 lrwxrwxrwx 1 root root       25 Sep 22 22:16 /etc/alternatives/glx--linux-libglx.so -> /usr/lib/nvidia/libglx.so
    0 lrwxrwxrwx 1 root root       36 Sep 22 22:16 /etc/alternatives/glx--nvidia-bug-report.sh -> /usr/lib/nvidia/nvidia-bug-report.sh*
    0 lrwxrwxrwx 1 root root       29 Sep 22 22:16 /etc/alternatives/glx--nvidia_drv.so -> /usr/lib/nvidia/nvidia_drv.so
    0 lrwxrwxrwx 1 root root       22 Sep 22 22:15 /etc/alternatives/libGL.so-master -> /usr/lib/mesa-diverted/
    0 lrwxrwxrwx 1 root root       23 Sep 22 22:16 /etc/alternatives/nvidia -> /usr/lib/nvidia/current/
    0 lrwxrwxrwx 1 root root       49 Sep 22 22:16 /etc/alternatives/nvidia--libGL.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/current/libGL.so.1
    0 lrwxrwxrwx 1 root root       49 Sep 22 22:16 /etc/alternatives/nvidia--libGL.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/current/libGL.so.1
    0 lrwxrwxrwx 1 root root       57 Sep 22 22:16 /etc/alternatives/nvidia--libXvMCNVIDIA.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/current/libXvMCNVIDIA.so.1
    4 lrwxrwxrwx 1 root root       65 Sep 22 22:16 /etc/alternatives/nvidia--libXvMCNVIDIA_dynamic.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/current/libXvMCNVIDIA_dynamic.so.1
    0 lrwxrwxrwx 1 root root       33 Sep 22 22:16 /etc/alternatives/nvidia--libglx.so -> /usr/lib/nvidia/current/libglx.so
    0 lrwxrwxrwx 1 root root       57 Sep 22 22:16 /etc/alternatives/nvidia--libnvidia-cfg.so.1-i386-linux-gnu -> /usr/lib/i386-linux-gnu/nvidia/current/libnvidia-cfg.so.1
    0 lrwxrwxrwx 1 root root       44 Sep 22 22:16 /etc/alternatives/nvidia--nvidia-bug-report.sh -> /usr/lib/nvidia/current/nvidia-bug-report.sh*
    0 lrwxrwxrwx 1 root root       37 Sep 22 22:16 /etc/alternatives/nvidia--nvidia_drv.so -> /usr/lib/nvidia/current/nvidia_drv.so
    0 lrwxrwxrwx 1 root root       46 Sep 22 22:15 /usr/lib/i386-linux-gnu/libGL.so -> /etc/alternatives/glx--libGL.so-i386-linux-gnu
    0 lrwxrwxrwx 1 root root       48 Sep 22 22:16 /usr/lib/i386-linux-gnu/libGL.so.1 -> /etc/alternatives/glx--libGL.so.1-i386-linux-gnu
    0 lrwxrwxrwx 1 root root       56 Sep 22 22:16 /usr/lib/i386-linux-gnu/libnvidia-cfg.so.1 -> /etc/alternatives/glx--libnvidia-cfg.so.1-i386-linux-gnu
20088 -rw-r--r-- 1 root root 20566116 Aug 31 22:18 /usr/lib/i386-linux-gnu/libnvidia-compiler.so.275.28
25352 -rw-r--r-- 1 root root 25958868 Aug 31 21:44 /usr/lib/i386-linux-gnu/libnvidia-glcore.so.275.28
    0 lrwxrwxrwx 1 root root       17 Sep 11 18:13 /usr/lib/i386-linux-gnu/libnvidia-ml.so -> libnvidia-ml.so.1
    0 lrwxrwxrwx 1 root root       22 Sep 11 18:13 /usr/lib/i386-linux-gnu/libnvidia-ml.so.1 -> libnvidia-ml.so.275.28
   80 -rw-r--r-- 1 root root    79908 Aug 31 22:19 /usr/lib/i386-linux-gnu/libnvidia-ml.so.275.28
   12 -rw-r--r-- 1 root root     8264 Aug 31 21:48 /usr/lib/i386-linux-gnu/libnvidia-tls.so.275.28
24 -rw-r--r-- 1 root root 21379 Sep 22 22:58 /var/log/Xorg.0.log
24 -rw-r--r-- 1 root root 21852 Sep 22 22:47 /var/log/Xorg.0.log.old

/usr/lib/i386-linux-gnu/nvidia/:
total 44
 4 drwxr-xr-x  3 root root  4096 Sep 22 22:16 ./
32 drwxr-xr-x 28 root root 28672 Sep 22 22:39 ../
 4 drwxr-xr-x  2 root root  4096 Sep 22 22:16 current/
 0 lrwxrwxrwx  1 root root    51 Sep 22 22:16 libGL.so.1 -> /etc/alternatives/nvidia--libGL.so.1-i386-linux-gnu
 0 lrwxrwxrwx  1 root root    59 Sep 22 22:16 libXvMCNVIDIA.so.1 -> /etc/alternatives/nvidia--libXvMCNVIDIA.so.1-i386-linux-gnu
 4 lrwxrwxrwx  1 root root    67 Sep 22 22:16 libXvMCNVIDIA_dynamic.so.1 -> /etc/alternatives/nvidia--libXvMCNVIDIA_dynamic.so.1-i386-linux-gnu
 0 lrwxrwxrwx  1 root root    59 Sep 22 22:16 libnvidia-cfg.so.1 -> /etc/alternatives/nvidia--libnvidia-cfg.so.1-i386-linux-gnu

/usr/lib/i386-linux-gnu/nvidia/current/:
total 1096
  4 drwxr-xr-x 2 root root   4096 Sep 22 22:16 ./
  4 drwxr-xr-x 3 root root   4096 Sep 22 22:16 ../
  0 lrwxrwxrwx 1 root root     15 Sep 11 18:13 libGL.so.1 -> libGL.so.275.28
776 -rw-r--r-- 1 root root 791876 Aug 31 21:45 libGL.so.275.28
  0 lrwxrwxrwx 1 root root     23 Sep 11 18:13 libXvMCNVIDIA.so.1 -> libXvMCNVIDIA.so.275.28
180 -rw-r--r-- 1 root root 182996 Aug 31 21:31 libXvMCNVIDIA.so.275.28
  0 lrwxrwxrwx 1 root root     23 Sep 11 18:13 libXvMCNVIDIA_dynamic.so.1 -> libXvMCNVIDIA.so.275.28
  0 lrwxrwxrwx 1 root root     23 Sep 11 18:13 libnvidia-cfg.so.1 -> libnvidia-cfg.so.275.28
132 -rw-r--r-- 1 root root 131944 Aug 31 22:19 libnvidia-cfg.so.275.28

/usr/lib/mesa-diverted/:
total 156
  4 drwxr-xr-x   4 root root   4096 Sep 22 22:15 ./
144 drwxr-xr-x 341 root root 143360 Sep 22 22:42 ../
  4 drwxr-xr-x   2 root root   4096 Sep 18 16:16 i386-linux-gnu/
  0 lrwxrwxrwx   1 root root     33 Sep 22 22:15 libGL.so-master -> /etc/alternatives/libGL.so-master/
  4 drwxr-xr-x   2 root root   4096 Jul 19 17:29 x86_64-linux-gnu/

/usr/lib/mesa-diverted/i386-linux-gnu/:
total 340
  4 drwxr-xr-x 2 root root   4096 Sep 18 16:16 ./
  4 drwxr-xr-x 4 root root   4096 Sep 22 22:15 ../
  0 lrwxrwxrwx 1 root root     10 Aug 28 14:40 libGL.so -> libGL.so.1
  0 lrwxrwxrwx 1 root root     12 Aug 28 14:40 libGL.so.1 -> libGL.so.1.2
332 -rw-r--r-- 1 root root 336672 Aug 28 14:40 libGL.so.1.2

/usr/lib/mesa-diverted/x86_64-linux-gnu/:
total 8
4 drwxr-xr-x 2 root root 4096 Jul 19 17:29 ./
4 drwxr-xr-x 4 root root 4096 Sep 22 22:15 ../

/usr/lib/nvidia/:
total 168
  4 drwxr-xr-x   3 root root   4096 Sep 22 22:16 ./
144 drwxr-xr-x 341 root root 143360 Sep 22 22:42 ../
  4 -rwxr-xr-x   1 root root   1775 Jul  4 13:30 check-for-conflicting-opengl-libraries*
  4 -rwxr-xr-x   1 root root   1341 Jul  4 08:29 check-for-mismatching-nvidia-module*
  4 -rwxr-xr-x   1 root root   2566 Jul 12 06:26 create-xorg-nvidia-conf-experimental*
  4 drwxr-xr-x   2 root root   4096 Sep 22 22:16 current/
  0 lrwxrwxrwx   1 root root     35 Sep 22 22:16 libglx.so -> /etc/alternatives/nvidia--libglx.so
  0 lrwxrwxrwx   1 root root     24 Sep 22 22:16 nvidia -> /etc/alternatives/nvidia/
  0 lrwxrwxrwx   1 root root     46 Sep 22 22:16 nvidia-bug-report.sh -> /etc/alternatives/nvidia--nvidia-bug-report.sh*
  0 lrwxrwxrwx   1 root root     39 Sep 22 22:16 nvidia_drv.so -> /etc/alternatives/nvidia--nvidia_drv.so
  4 -rwxr-xr-x   1 root root    441 Apr 27 07:08 pre-install*

/usr/lib/nvidia/current/:
total 10908
   4 drwxr-xr-x 2 root root    4096 Sep 22 22:16 ./
   4 drwxr-xr-x 3 root root    4096 Sep 22 22:16 ../
   0 lrwxrwxrwx 1 root root      16 Sep 11 18:13 libglx.so -> libglx.so.275.28
4336 -rw-r--r-- 1 root root 4436464 Aug 31 21:48 libglx.so.275.28
  16 -rwxr-xr-x 1 root root   13393 Apr 23 04:23 nvidia-bug-report.sh*
   4 -rw-r--r-- 1 root root    3807 Sep 11 18:13 nvidia.ids
6544 -rw-r--r-- 1 root root 6699960 Aug 31 21:30 nvidia_drv.so

/usr/lib/nvidia/nvidia/:
total 10908
   4 drwxr-xr-x 2 root root    4096 Sep 22 22:16 ./
   4 drwxr-xr-x 3 root root    4096 Sep 22 22:16 ../
   0 lrwxrwxrwx 1 root root      16 Sep 11 18:13 libglx.so -> libglx.so.275.28
4336 -rw-r--r-- 1 root root 4436464 Aug 31 21:48 libglx.so.275.28
  16 -rwxr-xr-x 1 root root   13393 Apr 23 04:23 nvidia-bug-report.sh*
   4 -rw-r--r-- 1 root root    3807 Sep 11 18:13 nvidia.ids
6544 -rw-r--r-- 1 root root 6699960 Aug 31 21:30 nvidia_drv.so

Files from nvidia-installer:

Config and logfiles:

<<<<<<<<<< /etc/X11/xorg.conf >>>>>>>>>>
# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 275.09.07  (pbuilder@windlord)  Thu Jun 16 14:37:34 UTC 2011

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0"
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
EndSection

Section "Files"
EndSection

Section "ServerFlags"
    Option         "AIGLX" "on"
    Option         "GlxVisuals" "all"
    Option         "IgnoreABI" "True"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Keyboard0"
    Driver         "kbd"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Planar"
    ModelName      "LCD Panel 1920x1200"
#    HorizSync       28.0 - 33.0
#    VertRefresh     43.0 - 72.0
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "Twinview" "0"
    Option         "NoLogo" "False"
    Option         "LogoPath" "/usr/share/pixmaps/nvidia-settings.png"
    Option	    "metamodes" "1920x1200 +0+0"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection

^^^^^^^^^^ /etc/X11/xorg.conf ^^^^^^^^^^

<<<<<<<<<< /var/log/Xorg.0.log >>>>>>>>>>
[    73.842] 
X.Org X Server 1.10.4
Release Date: 2011-08-19
[    73.842] X Protocol Version 11, Revision 0
[    73.842] Build Operating System: Linux 2.6.32-5-amd64 i686 Debian
[    73.842] Current Operating System: Linux berkeley 2.6.39-2-686-pae #1 SMP Tue Jul 5 03:48:49 UTC 2011 i686
[    73.843] Kernel command line: BOOT_IMAGE=/vmlinuz-2.6.39-2-686-pae root=UUID=e516b7b4-455e-465c-b623-fd35ae74b58a ro quiet
[    73.843] Build Date: 24 August 2011  09:37:43AM
[    73.843] xorg-server 2:1.10.4-1 (Cyril Brulebois <kibi@debian.org>) 
[    73.843] Current version of pixman: 0.22.2
[    73.843] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    73.843] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    73.843] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Sep 22 22:58:06 2011
[    73.889] (==) Using config file: "/etc/X11/xorg.conf"
[    73.889] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    73.932] (==) ServerLayout "Layout0"
[    73.932] (**) |-->Screen "Screen0" (0)
[    73.932] (**) |   |-->Monitor "Monitor0"
[    73.932] (**) |   |-->Device "Device0"
[    73.932] (**) |-->Input Device "Keyboard0"
[    73.932] (**) |-->Input Device "Mouse0"
[    73.932] (**) Option "AIGLX" "on"
[    73.932] (**) Option "IgnoreABI" "True"
[    73.932] (**) Option "GlxVisuals" "all"
[    73.932] (**) Ignoring ABI Version
[    73.932] (==) Automatically adding devices
[    73.932] (==) Automatically enabling devices
[    73.987] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    73.987] 	Entry deleted from font path.
[    74.025] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
[    74.025] (==) ModulePath set to "/usr/lib/xorg/modules"
[    74.026] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[    74.026] (WW) Disabling Keyboard0
[    74.026] (WW) Disabling Mouse0
[    74.026] (II) Loader magic: 0x8231fa0
[    74.026] (II) Module ABI versions:
[    74.026] 	X.Org ANSI C Emulation: 0.4
[    74.026] 	X.Org Video Driver: 10.0
[    74.026] 	X.Org XInput driver : 12.2
[    74.026] 	X.Org Server Extension : 5.0
[    74.026] (--) PCI:*(0:7:0:0) 10de:1200:1462:2382 rev 161, Mem @ 0xf8000000/33554432, 0xd8000000/134217728, 0xd4000000/67108864, I/O @ 0x0000bc00/128, BIOS @ 0x????????/524288
[    74.026] (II) Open ACPI successful (/var/run/acpid.socket)
[    74.026] (II) LoadModule: "extmod"
[    74.048] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    74.064] (II) Module extmod: vendor="X.Org Foundation"
[    74.064] 	compiled for 1.10.4, module version = 1.0.0
[    74.064] 	Module class: X.Org Server Extension
[    74.064] 	ABI class: X.Org Server Extension, version 5.0
[    74.064] (II) Loading extension SELinux
[    74.064] (II) Loading extension MIT-SCREEN-SAVER
[    74.064] (II) Loading extension XFree86-VidModeExtension
[    74.064] (II) Loading extension XFree86-DGA
[    74.065] (II) Loading extension DPMS
[    74.065] (II) Loading extension XVideo
[    74.065] (II) Loading extension XVideo-MotionCompensation
[    74.065] (II) Loading extension X-Resource
[    74.065] (II) LoadModule: "dbe"
[    74.065] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    74.082] (II) Module dbe: vendor="X.Org Foundation"
[    74.082] 	compiled for 1.10.4, module version = 1.0.0
[    74.082] 	Module class: X.Org Server Extension
[    74.082] 	ABI class: X.Org Server Extension, version 5.0
[    74.082] (II) Loading extension DOUBLE-BUFFER
[    74.082] (II) LoadModule: "glx"
[    74.082] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[    74.536] (II) Module glx: vendor="NVIDIA Corporation"
[    74.536] 	compiled for 4.0.2, module version = 1.0.0
[    74.536] 	Module class: X.Org Server Extension
[    74.536] (II) NVIDIA GLX Module  275.28  Wed Aug 31 18:45:27 PDT 2011
[    74.536] (II) Loading extension GLX
[    74.536] (II) LoadModule: "record"
[    74.536] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    74.538] (II) Module record: vendor="X.Org Foundation"
[    74.538] 	compiled for 1.10.4, module version = 1.13.0
[    74.538] 	Module class: X.Org Server Extension
[    74.538] 	ABI class: X.Org Server Extension, version 5.0
[    74.538] (II) Loading extension RECORD
[    74.538] (II) LoadModule: "dri"
[    74.539] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    74.566] (II) Module dri: vendor="X.Org Foundation"
[    74.566] 	compiled for 1.10.4, module version = 1.0.0
[    74.566] 	ABI class: X.Org Server Extension, version 5.0
[    74.566] (II) Loading extension XFree86-DRI
[    74.566] (II) LoadModule: "dri2"
[    74.566] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    74.579] (II) Module dri2: vendor="X.Org Foundation"
[    74.579] 	compiled for 1.10.4, module version = 1.2.0
[    74.579] 	ABI class: X.Org Server Extension, version 5.0
[    74.579] (II) Loading extension DRI2
[    74.579] (II) LoadModule: "nvidia"
[    74.580] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    74.633] (II) Module nvidia: vendor="NVIDIA Corporation"
[    74.633] 	compiled for 4.0.2, module version = 1.0.0
[    74.633] 	Module class: X.Org Video Driver
[    74.645] (II) NVIDIA dlloader X Driver  275.28  Wed Aug 31 18:27:32 PDT 2011
[    74.645] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    74.646] (--) using VT number 7

[    74.663] (II) Loading sub module "fb"
[    74.663] (II) LoadModule: "fb"
[    74.663] (II) Loading /usr/lib/xorg/modules/libfb.so
[    74.668] (II) Module fb: vendor="X.Org Foundation"
[    74.668] 	compiled for 1.10.4, module version = 1.0.0
[    74.668] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    74.668] (II) Loading sub module "wfb"
[    74.668] (II) LoadModule: "wfb"
[    74.668] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    74.679] (II) Module wfb: vendor="X.Org Foundation"
[    74.679] 	compiled for 1.10.4, module version = 1.0.0
[    74.679] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    74.679] (II) Loading sub module "ramdac"
[    74.679] (II) LoadModule: "ramdac"
[    74.679] (II) Module "ramdac" already built-in
[    74.680] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    74.680] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    74.680] (II) Loading /usr/lib/xorg/modules/libfb.so
[    74.682] (**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
[    74.682] (==) NVIDIA(0): RGB weight 888
[    74.682] (==) NVIDIA(0): Default visual is TrueColor
[    74.682] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[    74.682] (**) NVIDIA(0): Option "NoLogo" "False"
[    74.682] (**) NVIDIA(0): Option "TwinView" "0"
[    74.682] (**) NVIDIA(0): Option "MetaModes" "1920x1200 +0+0"
[    74.682] (**) NVIDIA(0): Option "LogoPath" "/usr/share/pixmaps/nvidia-settings.png"
[    75.507] (II) NVIDIA(GPU-0): Display (Planar Systems, Inc. PlanarPX2611W (DFP-0)) does not
[    75.507] (II) NVIDIA(GPU-0):     support NVIDIA 3D Vision stereo.
[    75.508] (II) NVIDIA(0): NVIDIA GPU GeForce GTX 560 Ti (GF114) at PCI:7:0:0 (GPU-0)
[    75.508] (--) NVIDIA(0): Memory: 1048576 kBytes
[    75.508] (--) NVIDIA(0): VideoBIOS: 70.24.11.00.00
[    75.508] (II) NVIDIA(0): Detected PCI Express Link width: 16X
[    75.508] (--) NVIDIA(0): Interlaced video modes are supported on this GPU
[    75.508] (--) NVIDIA(0): Connected display device(s) on GeForce GTX 560 Ti at
[    75.508] (--) NVIDIA(0):     PCI:7:0:0
[    75.508] (--) NVIDIA(0):     Planar Systems, Inc. PlanarPX2611W (DFP-0)
[    75.508] (--) NVIDIA(0): Planar Systems, Inc. PlanarPX2611W (DFP-0): 330.0 MHz maximum
[    75.508] (--) NVIDIA(0):     pixel clock
[    75.508] (--) NVIDIA(0): Planar Systems, Inc. PlanarPX2611W (DFP-0): Internal Dual Link
[    75.508] (--) NVIDIA(0):     TMDS
[    75.551] (WW) NVIDIA(0): The EDID for Planar Systems, Inc. PlanarPX2611W (DFP-0)
[    75.551] (WW) NVIDIA(0):     contradicts itself: mode "1440x480" is specified in the
[    75.551] (WW) NVIDIA(0):     EDID; however, the EDID's valid HorizSync range
[    75.551] (WW) NVIDIA(0):     (30.000-83.000 kHz) would exclude this mode's HorizSync
[    75.551] (WW) NVIDIA(0):     (15.7 kHz); ignoring HorizSync check for mode "1440x480".
[    75.551] (WW) NVIDIA(0): The EDID for Planar Systems, Inc. PlanarPX2611W (DFP-0)
[    75.551] (WW) NVIDIA(0):     contradicts itself: mode "1920x1080" is specified in the
[    75.551] (WW) NVIDIA(0):     EDID; however, the EDID's valid HorizSync range
[    75.551] (WW) NVIDIA(0):     (30.000-83.000 kHz) would exclude this mode's HorizSync
[    75.551] (WW) NVIDIA(0):     (28.1 kHz); ignoring HorizSync check for mode
[    75.551] (WW) NVIDIA(0):     "1920x1080".
[    75.552] (WW) NVIDIA(0): The EDID for Planar Systems, Inc. PlanarPX2611W (DFP-0)
[    75.552] (WW) NVIDIA(0):     contradicts itself: mode "1440x480" is specified in the
[    75.552] (WW) NVIDIA(0):     EDID; however, the EDID's valid HorizSync range
[    75.552] (WW) NVIDIA(0):     (30.000-83.000 kHz) would exclude this mode's HorizSync
[    75.552] (WW) NVIDIA(0):     (15.7 kHz); ignoring HorizSync check for mode "1440x480".
[    75.552] (WW) NVIDIA(0): The EDID for Planar Systems, Inc. PlanarPX2611W (DFP-0)
[    75.552] (WW) NVIDIA(0):     contradicts itself: mode "1920x1080" is specified in the
[    75.552] (WW) NVIDIA(0):     EDID; however, the EDID's valid HorizSync range
[    75.552] (WW) NVIDIA(0):     (30.000-83.000 kHz) would exclude this mode's HorizSync
[    75.552] (WW) NVIDIA(0):     (28.1 kHz); ignoring HorizSync check for mode
[    75.552] (WW) NVIDIA(0):     "1920x1080".
[    75.587] (II) NVIDIA(0): Assigned Display Device: DFP-0
[    75.587] (II) NVIDIA(0): Validated modes:
[    75.587] (II) NVIDIA(0):     "1920x1200+0+0"
[    75.587] (II) NVIDIA(0): Virtual screen size determined to be 1920 x 1200
[    75.620] (--) NVIDIA(0): DPI set to (88, 89); computed from "UseEdidDpi" X config
[    75.620] (--) NVIDIA(0):     option
[    75.620] (--) Depth 24 pixmap format is 32 bpp
[    75.620] (II) NVIDIA: Using 1024.00 MB of virtual memory for indirect memory
[    75.620] (II) NVIDIA:     access.
[    75.629] (II) NVIDIA(0): Setting mode "1920x1200+0+0"
[    75.693] (II) Loading extension NV-GLX
[    75.757] (==) NVIDIA(0): Disabling shared memory pixmaps
[    75.757] (==) NVIDIA(0): Backing store disabled
[    75.757] (==) NVIDIA(0): Silken mouse enabled
[    75.758] (**) NVIDIA(0): DPMS enabled
[    75.758] (II) Loading extension NV-CONTROL
[    75.759] (II) Loading extension XINERAMA
[    75.759] (II) Loading sub module "dri2"
[    75.759] (II) LoadModule: "dri2"
[    75.759] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    75.759] (II) Module dri2: vendor="X.Org Foundation"
[    75.759] 	compiled for 1.10.4, module version = 1.2.0
[    75.759] 	ABI class: X.Org Server Extension, version 5.0
[    75.759] (II) NVIDIA(0): [DRI2] Setup complete
[    75.759] (==) RandR enabled
[    75.759] (II) Initializing built-in extension Generic Event Extension
[    75.759] (II) Initializing built-in extension SHAPE
[    75.759] (II) Initializing built-in extension MIT-SHM
[    75.759] (II) Initializing built-in extension XInputExtension
[    75.759] (II) Initializing built-in extension XTEST
[    75.759] (II) Initializing built-in extension BIG-REQUESTS
[    75.759] (II) Initializing built-in extension SYNC
[    75.759] (II) Initializing built-in extension XKEYBOARD
[    75.759] (II) Initializing built-in extension XC-MISC
[    75.759] (II) Initializing built-in extension SECURITY
[    75.759] (II) Initializing built-in extension XINERAMA
[    75.759] (II) Initializing built-in extension XFIXES
[    75.759] (II) Initializing built-in extension RENDER
[    75.759] (II) Initializing built-in extension RANDR
[    75.759] (II) Initializing built-in extension COMPOSITE
[    75.759] (II) Initializing built-in extension DAMAGE
[    75.759] (II) SELinux: Disabled on system
[    75.761] (II) Initializing extension GLX
[    76.008] (II) config/udev: Adding input device Power Button (/dev/input/event5)
[    76.008] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    76.008] (II) LoadModule: "evdev"
[    76.008] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    76.024] (II) Module evdev: vendor="X.Org Foundation"
[    76.024] 	compiled for 1.10.1, module version = 2.6.0
[    76.024] 	Module class: X.Org XInput Driver
[    76.024] 	ABI class: X.Org XInput driver, version 12.2
[    76.024] (II) Using input driver 'evdev' for 'Power Button'
[    76.024] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    76.024] (**) Power Button: always reports core events
[    76.024] (**) Power Button: Device: "/dev/input/event5"
[    76.056] (--) Power Button: Found keys
[    76.056] (II) Power Button: Configuring as keyboard
[    76.056] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input5/event5"
[    76.056] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
[    76.056] (**) Option "xkb_rules" "evdev"
[    76.056] (**) Option "xkb_model" "pc105"
[    76.056] (**) Option "xkb_layout" "us"
[    76.057] (II) config/udev: Adding input device Power Button (/dev/input/event4)
[    76.057] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    76.057] (II) Using input driver 'evdev' for 'Power Button'
[    76.057] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    76.057] (**) Power Button: always reports core events
[    76.057] (**) Power Button: Device: "/dev/input/event4"
[    76.092] (--) Power Button: Found keys
[    76.092] (II) Power Button: Configuring as keyboard
[    76.092] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input4/event4"
[    76.092] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
[    76.092] (**) Option "xkb_rules" "evdev"
[    76.092] (**) Option "xkb_model" "pc105"
[    76.092] (**) Option "xkb_layout" "us"
[    76.095] (II) config/udev: Adding input device HDA Intel Headphone (/dev/input/event7)
[    76.095] (II) No input driver/identifier specified (ignoring)
[    76.097] (II) config/udev: Adding input device Dell Dell Multimedia Pro Keyboard (/dev/input/event1)
[    76.097] (**) Dell Dell Multimedia Pro Keyboard: Applying InputClass "evdev keyboard catchall"
[    76.097] (II) Using input driver 'evdev' for 'Dell Dell Multimedia Pro Keyboard'
[    76.097] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    76.097] (**) Dell Dell Multimedia Pro Keyboard: always reports core events
[    76.097] (**) Dell Dell Multimedia Pro Keyboard: Device: "/dev/input/event1"
[    76.108] (--) Dell Dell Multimedia Pro Keyboard: Found keys
[    76.108] (II) Dell Dell Multimedia Pro Keyboard: Configuring as keyboard
[    76.108] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.2/usb10/10-1/10-1.1/10-1.1:1.0/input/input1/event1"
[    76.108] (II) XINPUT: Adding extended input device "Dell Dell Multimedia Pro Keyboard" (type: KEYBOARD)
[    76.108] (**) Option "xkb_rules" "evdev"
[    76.108] (**) Option "xkb_model" "pc105"
[    76.108] (**) Option "xkb_layout" "us"
[    76.108] (II) config/udev: Adding input device Dell Dell Multimedia Pro Keyboard (/dev/input/event2)
[    76.108] (**) Dell Dell Multimedia Pro Keyboard: Applying InputClass "evdev keyboard catchall"
[    76.108] (II) Using input driver 'evdev' for 'Dell Dell Multimedia Pro Keyboard'
[    76.108] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    76.108] (**) Dell Dell Multimedia Pro Keyboard: always reports core events
[    76.108] (**) Dell Dell Multimedia Pro Keyboard: Device: "/dev/input/event2"
[    76.108] (--) Dell Dell Multimedia Pro Keyboard: Found absolute axes
[    76.108] (--) Dell Dell Multimedia Pro Keyboard: Found keys
[    76.108] (II) Dell Dell Multimedia Pro Keyboard: Configuring as mouse
[    76.108] (II) Dell Dell Multimedia Pro Keyboard: Configuring as keyboard
[    76.108] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.2/usb10/10-1/10-1.1/10-1.1:1.1/input/input2/event2"
[    76.108] (II) XINPUT: Adding extended input device "Dell Dell Multimedia Pro Keyboard" (type: KEYBOARD)
[    76.108] (**) Option "xkb_rules" "evdev"
[    76.108] (**) Option "xkb_model" "pc105"
[    76.108] (**) Option "xkb_layout" "us"
[    76.108] (II) Dell Dell Multimedia Pro Keyboard: initialized for absolute axes.
[    76.108] (**) Dell Dell Multimedia Pro Keyboard: (accel) keeping acceleration scheme 1
[    76.109] (**) Dell Dell Multimedia Pro Keyboard: (accel) acceleration profile 0
[    76.109] (**) Dell Dell Multimedia Pro Keyboard: (accel) acceleration factor: 2.000
[    76.109] (**) Dell Dell Multimedia Pro Keyboard: (accel) acceleration threshold: 4
[    76.109] (II) config/udev: Adding input device Logitech USB Receiver (/dev/input/event3)
[    76.109] (**) Logitech USB Receiver: Applying InputClass "evdev pointer catchall"
[    76.109] (II) Using input driver 'evdev' for 'Logitech USB Receiver'
[    76.109] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    76.109] (**) Logitech USB Receiver: always reports core events
[    76.109] (**) Logitech USB Receiver: Device: "/dev/input/event3"
[    76.112] (--) Logitech USB Receiver: Found 12 mouse buttons
[    76.112] (--) Logitech USB Receiver: Found scroll wheel(s)
[    76.112] (--) Logitech USB Receiver: Found relative axes
[    76.112] (--) Logitech USB Receiver: Found x and y relative axes
[    76.112] (II) Logitech USB Receiver: Configuring as mouse
[    76.112] (II) Logitech USB Receiver: Adding scrollwheel support
[    76.112] (**) Logitech USB Receiver: YAxisMapping: buttons 4 and 5
[    76.112] (**) Logitech USB Receiver: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    76.112] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.2/usb10/10-1/10-1.2/10-1.2:1.0/input/input3/event3"
[    76.112] (II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: MOUSE)
[    76.112] (II) Logitech USB Receiver: initialized for relative axes.
[    76.112] (**) Logitech USB Receiver: (accel) keeping acceleration scheme 1
[    76.112] (**) Logitech USB Receiver: (accel) acceleration profile 0
[    76.112] (**) Logitech USB Receiver: (accel) acceleration factor: 2.000
[    76.112] (**) Logitech USB Receiver: (accel) acceleration threshold: 4
[    76.112] (II) config/udev: Adding input device Logitech USB Receiver (/dev/input/mouse0)
[    76.112] (II) No input driver/identifier specified (ignoring)
[    76.113] (II) config/udev: Adding input device Logitech Logitech Extreme 3D (/dev/input/event0)
[    76.113] (**) Logitech Logitech Extreme 3D: Applying InputClass "joystick catchall"
[    76.113] (II) LoadModule: "joystick"
[    76.113] (II) Loading /usr/lib/xorg/modules/input/joystick_drv.so
[    76.120] (II) Module joystick: vendor="X.Org Foundation"
[    76.120] 	compiled for 1.10.2, module version = 1.6.0
[    76.120] 	Module class: X.Org XInput Driver
[    76.120] 	ABI class: X.Org XInput driver, version 12.2
[    76.120] (II) Using input driver 'joystick' for 'Logitech Logitech Extreme 3D'
[    76.120] (II) Loading /usr/lib/xorg/modules/input/joystick_drv.so
[    76.120] (**) Logitech Logitech Extreme 3D: always reports core events
[    76.120] (**) Logitech Logitech Extreme 3D (keys): Applying InputClass "joystick catchall"
[    76.120] (II) Using input driver 'joystick' for 'Logitech Logitech Extreme 3D (keys)'
[    76.120] (II) Loading /usr/lib/xorg/modules/input/joystick_drv.so
[    76.120] (**) Logitech Logitech Extreme 3D (keys): always reports core events
[    76.120] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.7/usb3/3-6/3-6.4/3-6.4:1.0/input/input0/event0"
[    76.120] (II) XINPUT: Adding extended input device "Logitech Logitech Extreme 3D (keys)" (type: JOYSTICK)
[    76.133] (**) Option "Device" "/dev/input/event0"
[    76.133] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.7/usb3/3-6/3-6.4/3-6.4:1.0/input/input0/event0"
[    76.133] (II) XINPUT: Adding extended input device "Logitech Logitech Extreme 3D" (type: JOYSTICK)
[    76.172] (II) Joystick: Logitech Logitech Extreme 3D. bus 0x3 vendor 0x46d product 0xc215 version 0x110
[    76.172] (II) Joystick: found 6 axes, 12 buttons
[    76.240] (**) Logitech Logitech Extreme 3D: (accel) keeping acceleration scheme 1
[    76.240] (**) Logitech Logitech Extreme 3D: (accel) acceleration profile 0
[    76.240] (**) Logitech Logitech Extreme 3D: (accel) acceleration factor: 2.000
[    76.240] (**) Logitech Logitech Extreme 3D: (accel) acceleration threshold: 4
[    76.240] (II) config/udev: Adding input device Logitech Logitech Extreme 3D (/dev/input/js0)
[    76.240] (II) No input driver/identifier specified (ignoring)
[    76.244] (II) config/udev: Adding input device PC Speaker (/dev/input/event6)
[    76.245] (II) No input driver/identifier specified (ignoring)
^^^^^^^^^^ /var/log/Xorg.0.log ^^^^^^^^^^

<<<<<<<<<< /var/log/Xorg.0.log.old >>>>>>>>>>
[   474.274] 
X.Org X Server 1.10.2.902 (1.10.3 RC 2)
Release Date: 2011-07-01
[   474.274] X Protocol Version 11, Revision 0
[   474.274] Build Operating System: Linux 2.6.39-2-686-pae i686 Debian
[   474.274] Current Operating System: Linux berkeley 2.6.39-2-686-pae #1 SMP Tue Jul 5 03:48:49 UTC 2011 i686
[   474.274] Kernel command line: BOOT_IMAGE=/vmlinuz-2.6.39-2-686-pae root=UUID=e516b7b4-455e-465c-b623-fd35ae74b58a ro quiet
[   474.274] Build Date: 05 September 2011  11:00:29AM
[   474.274] xorg-server 2:1.10.2.902-1 (Cyril Brulebois <kibi@debian.org>) 
[   474.274] Current version of pixman: 0.22.2
[   474.274] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[   474.274] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   474.274] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Sep 22 22:32:59 2011
[   474.274] (==) Using config file: "/etc/X11/xorg.conf"
[   474.274] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[   474.274] (==) ServerLayout "Layout0"
[   474.274] (**) |-->Screen "Screen0" (0)
[   474.274] (**) |   |-->Monitor "Monitor0"
[   474.274] (**) |   |-->Device "Device0"
[   474.274] (**) |-->Input Device "Keyboard0"
[   474.274] (**) |-->Input Device "Mouse0"
[   474.274] (==) Automatically adding devices
[   474.274] (==) Automatically enabling devices
[   474.275] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[   474.275] 	Entry deleted from font path.
[   474.275] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
[   474.275] (==) ModulePath set to "/usr/lib/xorg/modules"
[   474.275] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[   474.275] (WW) Disabling Keyboard0
[   474.275] (WW) Disabling Mouse0
[   474.275] (II) Loader magic: 0x8232f20
[   474.275] (II) Module ABI versions:
[   474.275] 	X.Org ANSI C Emulation: 0.4
[   474.275] 	X.Org Video Driver: 10.0
[   474.275] 	X.Org XInput driver : 12.2
[   474.275] 	X.Org Server Extension : 5.0
[   474.275] (--) PCI:*(0:7:0:0) 10de:1200:1462:2382 rev 161, Mem @ 0xf8000000/33554432, 0xd8000000/134217728, 0xd4000000/67108864, I/O @ 0x0000bc00/128, BIOS @ 0x????????/524288
[   474.276] (II) Open ACPI successful (/var/run/acpid.socket)
[   474.276] (II) LoadModule: "extmod"
[   474.276] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[   474.276] (II) Module extmod: vendor="X.Org Foundation"
[   474.276] 	compiled for 1.10.2.902, module version = 1.0.0
[   474.276] 	Module class: X.Org Server Extension
[   474.276] 	ABI class: X.Org Server Extension, version 5.0
[   474.276] (II) Loading extension SELinux
[   474.276] (II) Loading extension MIT-SCREEN-SAVER
[   474.276] (II) Loading extension XFree86-VidModeExtension
[   474.276] (II) Loading extension XFree86-DGA
[   474.276] (II) Loading extension DPMS
[   474.276] (II) Loading extension XVideo
[   474.276] (II) Loading extension XVideo-MotionCompensation
[   474.276] (II) Loading extension X-Resource
[   474.276] (II) LoadModule: "dbe"
[   474.276] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[   474.276] (II) Module dbe: vendor="X.Org Foundation"
[   474.276] 	compiled for 1.10.2.902, module version = 1.0.0
[   474.276] 	Module class: X.Org Server Extension
[   474.276] 	ABI class: X.Org Server Extension, version 5.0
[   474.276] (II) Loading extension DOUBLE-BUFFER
[   474.276] (II) LoadModule: "glx"
[   474.276] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[   474.287] (II) Module glx: vendor="NVIDIA Corporation"
[   474.287] 	compiled for 4.0.2, module version = 1.0.0
[   474.287] 	Module class: X.Org Server Extension
[   474.287] (II) NVIDIA GLX Module  275.28  Wed Aug 31 18:45:27 PDT 2011
[   474.287] (II) Loading extension GLX
[   474.287] (II) LoadModule: "record"
[   474.288] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[   474.288] (II) Module record: vendor="X.Org Foundation"
[   474.288] 	compiled for 1.10.2.902, module version = 1.13.0
[   474.288] 	Module class: X.Org Server Extension
[   474.288] 	ABI class: X.Org Server Extension, version 5.0
[   474.288] (II) Loading extension RECORD
[   474.288] (II) LoadModule: "dri"
[   474.288] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[   474.288] (II) Module dri: vendor="X.Org Foundation"
[   474.288] 	compiled for 1.10.2.902, module version = 1.0.0
[   474.288] 	ABI class: X.Org Server Extension, version 5.0
[   474.288] (II) Loading extension XFree86-DRI
[   474.288] (II) LoadModule: "dri2"
[   474.288] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[   474.288] (II) Module dri2: vendor="X.Org Foundation"
[   474.288] 	compiled for 1.10.2.902, module version = 1.2.0
[   474.288] 	ABI class: X.Org Server Extension, version 5.0
[   474.288] (II) Loading extension DRI2
[   474.288] (II) LoadModule: "nvidia"
[   474.288] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[   474.288] (II) Module nvidia: vendor="NVIDIA Corporation"
[   474.288] 	compiled for 4.0.2, module version = 1.0.0
[   474.288] 	Module class: X.Org Video Driver
[   474.288] (II) NVIDIA dlloader X Driver  275.28  Wed Aug 31 18:27:32 PDT 2011
[   474.288] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[   474.288] (--) using VT number 7

[   474.304] (II) Loading sub module "fb"
[   474.305] (II) LoadModule: "fb"
[   474.305] (II) Loading /usr/lib/xorg/modules/libfb.so
[   474.305] (II) Module fb: vendor="X.Org Foundation"
[   474.305] 	compiled for 1.10.2.902, module version = 1.0.0
[   474.305] 	ABI class: X.Org ANSI C Emulation, version 0.4
[   474.305] (II) Loading sub module "wfb"
[   474.305] (II) LoadModule: "wfb"
[   474.305] (II) Loading /usr/lib/xorg/modules/libwfb.so
[   474.305] (II) Module wfb: vendor="X.Org Foundation"
[   474.305] 	compiled for 1.10.2.902, module version = 1.0.0
[   474.305] 	ABI class: X.Org ANSI C Emulation, version 0.4
[   474.305] (II) Loading sub module "ramdac"
[   474.305] (II) LoadModule: "ramdac"
[   474.305] (II) Module "ramdac" already built-in
[   474.305] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[   474.305] (II) Loading /usr/lib/xorg/modules/libwfb.so
[   474.305] (II) Loading /usr/lib/xorg/modules/libfb.so
[   474.305] (**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
[   474.305] (==) NVIDIA(0): RGB weight 888
[   474.305] (==) NVIDIA(0): Default visual is TrueColor
[   474.305] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[   474.305] (**) NVIDIA(0): Option "MetaModes" "1920x1200 +0+0"
[   474.784] (II) NVIDIA(GPU-0): Display (Planar Systems, Inc. PlanarPX2611W (DFP-0)) does not
[   474.784] (II) NVIDIA(GPU-0):     support NVIDIA 3D Vision stereo.
[   474.785] (II) NVIDIA(0): NVIDIA GPU GeForce GTX 560 Ti (GF114) at PCI:7:0:0 (GPU-0)
[   474.785] (--) NVIDIA(0): Memory: 1048576 kBytes
[   474.785] (--) NVIDIA(0): VideoBIOS: 70.24.11.00.00
[   474.785] (II) NVIDIA(0): Detected PCI Express Link width: 16X
[   474.785] (--) NVIDIA(0): Interlaced video modes are supported on this GPU
[   474.785] (--) NVIDIA(0): Connected display device(s) on GeForce GTX 560 Ti at
[   474.785] (--) NVIDIA(0):     PCI:7:0:0
[   474.785] (--) NVIDIA(0):     Planar Systems, Inc. PlanarPX2611W (DFP-0)
[   474.785] (--) NVIDIA(0): Planar Systems, Inc. PlanarPX2611W (DFP-0): 330.0 MHz maximum
[   474.785] (--) NVIDIA(0):     pixel clock
[   474.785] (--) NVIDIA(0): Planar Systems, Inc. PlanarPX2611W (DFP-0): Internal Dual Link
[   474.785] (--) NVIDIA(0):     TMDS
[   474.827] (WW) NVIDIA(0): The EDID for Planar Systems, Inc. PlanarPX2611W (DFP-0)
[   474.827] (WW) NVIDIA(0):     contradicts itself: mode "1440x480" is specified in the
[   474.827] (WW) NVIDIA(0):     EDID; however, the EDID's valid HorizSync range
[   474.827] (WW) NVIDIA(0):     (30.000-83.000 kHz) would exclude this mode's HorizSync
[   474.827] (WW) NVIDIA(0):     (15.7 kHz); ignoring HorizSync check for mode "1440x480".
[   474.827] (WW) NVIDIA(0): The EDID for Planar Systems, Inc. PlanarPX2611W (DFP-0)
[   474.827] (WW) NVIDIA(0):     contradicts itself: mode "1920x1080" is specified in the
[   474.827] (WW) NVIDIA(0):     EDID; however, the EDID's valid HorizSync range
[   474.827] (WW) NVIDIA(0):     (30.000-83.000 kHz) would exclude this mode's HorizSync
[   474.827] (WW) NVIDIA(0):     (28.1 kHz); ignoring HorizSync check for mode
[   474.827] (WW) NVIDIA(0):     "1920x1080".
[   474.828] (WW) NVIDIA(0): The EDID for Planar Systems, Inc. PlanarPX2611W (DFP-0)
[   474.828] (WW) NVIDIA(0):     contradicts itself: mode "1440x480" is specified in the
[   474.828] (WW) NVIDIA(0):     EDID; however, the EDID's valid HorizSync range
[   474.828] (WW) NVIDIA(0):     (30.000-83.000 kHz) would exclude this mode's HorizSync
[   474.828] (WW) NVIDIA(0):     (15.7 kHz); ignoring HorizSync check for mode "1440x480".
[   474.828] (WW) NVIDIA(0): The EDID for Planar Systems, Inc. PlanarPX2611W (DFP-0)
[   474.828] (WW) NVIDIA(0):     contradicts itself: mode "1920x1080" is specified in the
[   474.828] (WW) NVIDIA(0):     EDID; however, the EDID's valid HorizSync range
[   474.828] (WW) NVIDIA(0):     (30.000-83.000 kHz) would exclude this mode's HorizSync
[   474.828] (WW) NVIDIA(0):     (28.1 kHz); ignoring HorizSync check for mode
[   474.828] (WW) NVIDIA(0):     "1920x1080".
[   474.863] (II) NVIDIA(0): Assigned Display Device: DFP-0
[   474.863] (II) NVIDIA(0): Validated modes:
[   474.863] (II) NVIDIA(0):     "1920x1200+0+0"
[   474.863] (II) NVIDIA(0): Virtual screen size determined to be 1920 x 1200
[   474.901] (--) NVIDIA(0): DPI set to (88, 89); computed from "UseEdidDpi" X config
[   474.901] (--) NVIDIA(0):     option
[   474.901] (--) Depth 24 pixmap format is 32 bpp
[   474.901] (II) NVIDIA: Using 1024.00 MB of virtual memory for indirect memory
[   474.901] (II) NVIDIA:     access.
[   474.912] (II) NVIDIA(0): Setting mode "1920x1200+0+0"
[   474.977] (II) Loading extension NV-GLX
[   475.036] (==) NVIDIA(0): Disabling shared memory pixmaps
[   475.036] (==) NVIDIA(0): Backing store disabled
[   475.036] (==) NVIDIA(0): Silken mouse enabled
[   475.036] (**) NVIDIA(0): DPMS enabled
[   475.036] (II) Loading extension NV-CONTROL
[   475.037] (II) Loading extension XINERAMA
[   475.037] (II) Loading sub module "dri2"
[   475.037] (II) LoadModule: "dri2"
[   475.037] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[   475.037] (II) Module dri2: vendor="X.Org Foundation"
[   475.037] 	compiled for 1.10.2.902, module version = 1.2.0
[   475.037] 	ABI class: X.Org Server Extension, version 5.0
[   475.037] (II) NVIDIA(0): [DRI2] Setup complete
[   475.037] (==) RandR enabled
[   475.037] (II) Initializing built-in extension Generic Event Extension
[   475.037] (II) Initializing built-in extension SHAPE
[   475.037] (II) Initializing built-in extension MIT-SHM
[   475.037] (II) Initializing built-in extension XInputExtension
[   475.037] (II) Initializing built-in extension XTEST
[   475.037] (II) Initializing built-in extension BIG-REQUESTS
[   475.037] (II) Initializing built-in extension SYNC
[   475.037] (II) Initializing built-in extension XKEYBOARD
[   475.037] (II) Initializing built-in extension XC-MISC
[   475.037] (II) Initializing built-in extension SECURITY
[   475.037] (II) Initializing built-in extension XINERAMA
[   475.037] (II) Initializing built-in extension XFIXES
[   475.037] (II) Initializing built-in extension RENDER
[   475.037] (II) Initializing built-in extension RANDR
[   475.037] (II) Initializing built-in extension COMPOSITE
[   475.037] (II) Initializing built-in extension DAMAGE
[   475.037] (II) SELinux: Disabled on system
[   475.039] (II) Initializing extension GLX
[   475.086] (II) config/udev: Adding input device Power Button (/dev/input/event5)
[   475.086] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[   475.086] (II) LoadModule: "evdev"
[   475.087] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[   475.087] (II) Module evdev: vendor="X.Org Foundation"
[   475.087] 	compiled for 1.10.1, module version = 2.6.0
[   475.087] 	Module class: X.Org XInput Driver
[   475.087] 	ABI class: X.Org XInput driver, version 12.2
[   475.087] (II) Using input driver 'evdev' for 'Power Button'
[   475.087] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[   475.087] (**) Power Button: always reports core events
[   475.087] (**) Power Button: Device: "/dev/input/event5"
[   475.108] (--) Power Button: Found keys
[   475.108] (II) Power Button: Configuring as keyboard
[   475.108] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input5/event5"
[   475.108] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
[   475.108] (**) Option "xkb_rules" "evdev"
[   475.108] (**) Option "xkb_model" "pc105"
[   475.108] (**) Option "xkb_layout" "us"
[   475.109] (II) config/udev: Adding input device Power Button (/dev/input/event4)
[   475.109] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[   475.109] (II) Using input driver 'evdev' for 'Power Button'
[   475.109] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[   475.109] (**) Power Button: always reports core events
[   475.109] (**) Power Button: Device: "/dev/input/event4"
[   475.144] (--) Power Button: Found keys
[   475.144] (II) Power Button: Configuring as keyboard
[   475.144] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input4/event4"
[   475.144] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
[   475.144] (**) Option "xkb_rules" "evdev"
[   475.144] (**) Option "xkb_model" "pc105"
[   475.144] (**) Option "xkb_layout" "us"
[   475.147] (II) config/udev: Adding input device HDA Intel Headphone (/dev/input/event7)
[   475.147] (II) No input driver/identifier specified (ignoring)
[   475.149] (II) config/udev: Adding input device Dell Dell Multimedia Pro Keyboard (/dev/input/event1)
[   475.149] (**) Dell Dell Multimedia Pro Keyboard: Applying InputClass "evdev keyboard catchall"
[   475.149] (II) Using input driver 'evdev' for 'Dell Dell Multimedia Pro Keyboard'
[   475.149] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[   475.149] (**) Dell Dell Multimedia Pro Keyboard: always reports core events
[   475.149] (**) Dell Dell Multimedia Pro Keyboard: Device: "/dev/input/event1"
[   475.176] (--) Dell Dell Multimedia Pro Keyboard: Found keys
[   475.176] (II) Dell Dell Multimedia Pro Keyboard: Configuring as keyboard
[   475.176] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.2/usb10/10-1/10-1.1/10-1.1:1.0/input/input1/event1"
[   475.176] (II) XINPUT: Adding extended input device "Dell Dell Multimedia Pro Keyboard" (type: KEYBOARD)
[   475.176] (**) Option "xkb_rules" "evdev"
[   475.176] (**) Option "xkb_model" "pc105"
[   475.176] (**) Option "xkb_layout" "us"
[   475.176] (II) config/udev: Adding input device Dell Dell Multimedia Pro Keyboard (/dev/input/event2)
[   475.176] (**) Dell Dell Multimedia Pro Keyboard: Applying InputClass "evdev keyboard catchall"
[   475.176] (II) Using input driver 'evdev' for 'Dell Dell Multimedia Pro Keyboard'
[   475.176] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[   475.176] (**) Dell Dell Multimedia Pro Keyboard: always reports core events
[   475.176] (**) Dell Dell Multimedia Pro Keyboard: Device: "/dev/input/event2"
[   475.180] (--) Dell Dell Multimedia Pro Keyboard: Found absolute axes
[   475.180] (--) Dell Dell Multimedia Pro Keyboard: Found keys
[   475.180] (II) Dell Dell Multimedia Pro Keyboard: Configuring as mouse
[   475.180] (II) Dell Dell Multimedia Pro Keyboard: Configuring as keyboard
[   475.180] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.2/usb10/10-1/10-1.1/10-1.1:1.1/input/input2/event2"
[   475.180] (II) XINPUT: Adding extended input device "Dell Dell Multimedia Pro Keyboard" (type: KEYBOARD)
[   475.180] (**) Option "xkb_rules" "evdev"
[   475.180] (**) Option "xkb_model" "pc105"
[   475.180] (**) Option "xkb_layout" "us"
[   475.180] (II) Dell Dell Multimedia Pro Keyboard: initialized for absolute axes.
[   475.180] (**) Dell Dell Multimedia Pro Keyboard: (accel) keeping acceleration scheme 1
[   475.180] (**) Dell Dell Multimedia Pro Keyboard: (accel) acceleration profile 0
[   475.180] (**) Dell Dell Multimedia Pro Keyboard: (accel) acceleration factor: 2.000
[   475.180] (**) Dell Dell Multimedia Pro Keyboard: (accel) acceleration threshold: 4
[   475.180] (II) config/udev: Adding input device Logitech USB Receiver (/dev/input/event3)
[   475.180] (**) Logitech USB Receiver: Applying InputClass "evdev pointer catchall"
[   475.180] (II) Using input driver 'evdev' for 'Logitech USB Receiver'
[   475.180] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[   475.180] (**) Logitech USB Receiver: always reports core events
[   475.180] (**) Logitech USB Receiver: Device: "/dev/input/event3"
[   475.180] (--) Logitech USB Receiver: Found 12 mouse buttons
[   475.180] (--) Logitech USB Receiver: Found scroll wheel(s)
[   475.180] (--) Logitech USB Receiver: Found relative axes
[   475.180] (--) Logitech USB Receiver: Found x and y relative axes
[   475.180] (II) Logitech USB Receiver: Configuring as mouse
[   475.180] (II) Logitech USB Receiver: Adding scrollwheel support
[   475.180] (**) Logitech USB Receiver: YAxisMapping: buttons 4 and 5
[   475.180] (**) Logitech USB Receiver: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[   475.180] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.2/usb10/10-1/10-1.2/10-1.2:1.0/input/input3/event3"
[   475.180] (II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: MOUSE)
[   475.180] (II) Logitech USB Receiver: initialized for relative axes.
[   475.180] (**) Logitech USB Receiver: (accel) keeping acceleration scheme 1
[   475.180] (**) Logitech USB Receiver: (accel) acceleration profile 0
[   475.180] (**) Logitech USB Receiver: (accel) acceleration factor: 2.000
[   475.180] (**) Logitech USB Receiver: (accel) acceleration threshold: 4
[   475.181] (II) config/udev: Adding input device Logitech USB Receiver (/dev/input/mouse0)
[   475.181] (II) No input driver/identifier specified (ignoring)
[   475.182] (II) config/udev: Adding input device Logitech Logitech Extreme 3D (/dev/input/event0)
[   475.182] (**) Logitech Logitech Extreme 3D: Applying InputClass "joystick catchall"
[   475.182] (II) LoadModule: "joystick"
[   475.182] (II) Loading /usr/lib/xorg/modules/input/joystick_drv.so
[   475.182] (II) Module joystick: vendor="X.Org Foundation"
[   475.182] 	compiled for 1.10.2, module version = 1.6.0
[   475.182] 	Module class: X.Org XInput Driver
[   475.182] 	ABI class: X.Org XInput driver, version 12.2
[   475.182] (II) Using input driver 'joystick' for 'Logitech Logitech Extreme 3D'
[   475.182] (II) Loading /usr/lib/xorg/modules/input/joystick_drv.so
[   475.182] (**) Logitech Logitech Extreme 3D: always reports core events
[   475.182] (**) Logitech Logitech Extreme 3D (keys): Applying InputClass "joystick catchall"
[   475.182] (II) Using input driver 'joystick' for 'Logitech Logitech Extreme 3D (keys)'
[   475.182] (II) Loading /usr/lib/xorg/modules/input/joystick_drv.so
[   475.182] (**) Logitech Logitech Extreme 3D (keys): always reports core events
[   475.182] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-6/2-6.4/2-6.4:1.0/input/input0/event0"
[   475.182] (II) XINPUT: Adding extended input device "Logitech Logitech Extreme 3D (keys)" (type: JOYSTICK)
[   475.197] (**) Option "Device" "/dev/input/event0"
[   475.197] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-6/2-6.4/2-6.4:1.0/input/input0/event0"
[   475.197] (II) XINPUT: Adding extended input device "Logitech Logitech Extreme 3D" (type: JOYSTICK)
[   475.228] (II) Joystick: Logitech Logitech Extreme 3D. bus 0x3 vendor 0x46d product 0xc215 version 0x110
[   475.228] (II) Joystick: found 6 axes, 12 buttons
[   475.304] (**) Logitech Logitech Extreme 3D: (accel) keeping acceleration scheme 1
[   475.304] (**) Logitech Logitech Extreme 3D: (accel) acceleration profile 0
[   475.304] (**) Logitech Logitech Extreme 3D: (accel) acceleration factor: 2.000
[   475.304] (**) Logitech Logitech Extreme 3D: (accel) acceleration threshold: 4
[   475.324] (II) config/udev: Adding input device Logitech Logitech Extreme 3D (/dev/input/js0)
[   475.324] (II) No input driver/identifier specified (ignoring)
[   475.326] (II) config/udev: Adding input device PC Speaker (/dev/input/event6)
[   475.326] (II) No input driver/identifier specified (ignoring)
[  1337.328] (II) Power Button: Close
[  1337.328] (II) UnloadModule: "evdev"
[  1337.328] (II) Unloading evdev
[  1337.356] (II) Power Button: Close
[  1337.356] (II) UnloadModule: "evdev"
[  1337.356] (II) Unloading evdev
[  1337.388] (II) Dell Dell Multimedia Pro Keyboard: Close
[  1337.388] (II) UnloadModule: "evdev"
[  1337.388] (II) Unloading evdev
[  1337.416] (II) Dell Dell Multimedia Pro Keyboard: Close
[  1337.416] (II) UnloadModule: "evdev"
[  1337.416] (II) Unloading evdev
[  1337.484] (II) Logitech USB Receiver: Close
[  1337.484] (II) UnloadModule: "evdev"
[  1337.484] (II) Unloading evdev
[  1337.484] (II) UnloadModule: "joystick"
[  1337.484] (II) Unloading joystick
[  1337.548] (II) UnloadModule: "joystick"
[  1337.548] (II) Unloading joystick
^^^^^^^^^^ /var/log/Xorg.0.log.old ^^^^^^^^^^


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-2-686-pae (SMP w/6 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nvidia-glx depends on:
ii  dpkg                                       1.16.0.3              
ii  libgl1-nvidia-glx                          280.13.really.275.28-1
ii  nvidia-alternative                         280.13.really.275.28-1
ii  nvidia-installer-cleanup                   20110729+1            
ii  nvidia-kernel-dkms [nvidia-kernel-275.28]  280.13.really.275.28-1
ii  nvidia-support                             20110729+1            
ii  nvidia-vdpau-driver                        280.13.really.275.28-1
ii  xserver-xorg-video-nvidia                  280.13.really.275.28-1

nvidia-glx recommends no packages.

Versions of packages nvidia-glx suggests:
ii  nvidia-kernel-dkms [nvidia-kernel-dkms]  280.13.really.275.28-1
ii  nvidia-kernel-source                     280.13.really.275.28-1
ii  nvidia-settings                          280.13-1              

Versions of packages libgl1-nvidia-glx depends on:
ii  libc6                     2.13-18               
ii  libx11-6                  2:1.4.4-1             
ii  libxext6                  2:1.3.0-3             
ii  libxv1                    2:1.0.6-2             
ii  libxvmc1                  2:1.0.6-1             
ii  multiarch-support         2.13-18               
ii  nvidia-alternative        280.13.really.275.28-1
ii  nvidia-installer-cleanup  20110729+1            
ii  nvidia-support            20110729+1            

Versions of packages libgl1-nvidia-glx recommends:
ii  nvidia-kernel-dkms [nvidia-kernel-275.28]  280.13.really.275.28-1

Versions of packages libgl1-nvidia-glx suggests:
ii  nvidia-kernel-dkms [nvidia-kernel-dkms]  280.13.really.275.28-1
ii  nvidia-kernel-source                     280.13.really.275.28-1

Versions of packages xserver-xorg-video-nvidia depends on:
ii  libc6                                  2.13-18               
ii  libgl1-nvidia-glx                      280.13.really.275.28-1
ii  nvidia-alternative                     280.13.really.275.28-1
ii  nvidia-installer-cleanup               20110729+1            
ii  nvidia-support                         20110729+1            
ii  xserver-xorg-core [xorg-video-abi-10]  2:1.10.4-1            

Versions of packages xserver-xorg-video-nvidia recommends:
ii  nvidia-kernel-dkms [nvidia-kernel-275.28]  280.13.really.275.28-1
ii  nvidia-vdpau-driver                        280.13.really.275.28-1

Versions of packages xserver-xorg-video-nvidia suggests:
ii  nvidia-kernel-dkms [nvidia-kernel-dkms]  280.13.really.275.28-1
ii  nvidia-kernel-source                     280.13.really.275.28-1
ii  nvidia-settings                          280.13-1              

Versions of packages nvidia-alternative depends on:
ii  glx-alternative-nvidia      0.1.93                
ii  libgl1-nvidia-alternatives  280.13.really.275.28-1
ii  libglx-nvidia-alternatives  280.13.really.275.28-1

Versions of packages nvidia-kernel-dkms depends on:
ii  dkms                      2.2.0.2-1 
ii  nvidia-installer-cleanup  20110729+1
ii  nvidia-kernel-common      20110729+1

nvidia-kernel-dkms recommends no packages.

Versions of packages nvidia-kernel-source depends on:
ii  debhelper  8.9.7   
ii  make       3.81-8.1
ii  quilt      0.48-7  

Versions of packages nvidia-kernel-source recommends:
ii  module-assistant      0.11.4    
ii  nvidia-kernel-common  20110729+1

nvidia-kernel-source suggests no packages.

Versions of packages glx-alternative-nvidia depends on:
ii  glx-alternative-mesa  0.1.93
ii  glx-diversions        0.1.93

glx-alternative-nvidia suggests no packages.

Versions of packages nvidia-glx is related to:
ii  libgl1-nvidia-glx [libgl1-nvidia-glx-any]            280.13.really.275.28-1
ii  libgl1-nvidia-glx-ia32-any                           <none>                
ii  linux-headers-2.6.39-2-686-pae [linux-headers]       2.6.39-3              
ii  linux-headers-2.6.39-2-amd64 [linux-headers]         2.6.39-3              
ii  nvidia-glx [nvidia-glx-any]                          280.13.really.275.28-1
ii  nvidia-kernel-common                                 20110729+1            
ii  nvidia-kernel-dkms [nvidia-kernel-dkms]              280.13.really.275.28-1
ii  nvidia-kernel-source                                 280.13.really.275.28-1
ii  nvidia-settings                                      280.13-1              
ii  nvidia-support                                       20110729+1            
ii  nvidia-xconfig                                       280.13-1              
ii  xserver-xorg                                         1:7.6+8               
ii  xserver-xorg-core                                    2:1.10.4-1            
ii  xserver-xorg-video-nvidia [xserver-xorg-video-nvidi  280.13.really.275.28-1

-- no debconf information




Changed Bug submitter to 'jshaio@comcast.net' from 'jack <jack@comcast.net>' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Sat, 24 Sep 2011 00:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#642497; Package nvidia-glx. (Sat, 24 Sep 2011 07:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sat, 24 Sep 2011 07:27:08 GMT) Full text and rfc822 format available.

Message #12 received at 642497@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 642497@bugs.debian.org, 642497-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#642497: nvidia-glx: incorrect rendering followed by xserver infinite loop when using some OpenGL apps
Date: Sat, 24 Sep 2011 09:24:51 +0200
tag 642497 upstream moreinfo
thanks

On 2011-09-23 05:30, jack wrote:
> I had nvidia-glx and X running well on Wheezy installed July 23,2011 on a new PC with an NVIDIA 560 Ti card.
> After an apt-get upgrade on August 17, the OpenGL features are no longer working correctly and I haven't been
> able to restore the system, even when rolling back to July 23 versions (nvidia-glx=275.09.07-5 and xserver-xorg-core=1.10.2.902-1)

In that case, probably some other change introduced in the Aug 17 update
caused these problems. /var/log/dpkg.log*, /var/log/term.log*,
/var/log/aptitude* should contain your upgrade history.

> OpenGL problems seen in 3 different packages:

There is nothing we can do about these problems in the closed source
driver. Please report them directly to NVIDIA, following their bug
reporting instructions:
http://www.nvnews.net/vbulletin/showthread.php?t=46678


>    [ 672.814] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
...
>    The Xserver infinite loop problem was mitigating by adding to xorg.conf
...
>            Option         "IgnoreABI" "True"

can't be, this should be completely unrelated

>    but the Xserver became unusable in that it was impossible to scroll down and select an item
>    from a list (for example a music list in totem). Commands like 'less' on a gnome-terminal
>    scrolled endlessly even though resize shows the correct number of lines and columns. 
> 
> I tried rolling back to the xserver and nvidia-glx versions on July 23, when these worked fine,
> but the problems persisted.

Have you tried creating a completely new user account (with no
accumulated cruft in his dot-files) and testing as this user?

Turning off desktop effects has also helped some users.

> I also tried installing the Nvidia driver directly from the NVIDIA package, without dkms, but
> the problem was the same.

Another sign that this is not a packaging issue.

> Bug 641344 describes rendering problems with xserver and nvidia for versions
>   xserver-xorg-core 2:1.11.0-1
>   xserver-xorg-video-nvidia 285.03-2

Xserver 1.11.0 is problematic, a fix has been submitted to upstream and
will be included in 1.11.1, but if you stayed with 1.10.x this should be
not your issue.

> Linux berkeley 2.6.39-2-686-pae #1 SMP Tue Jul 5 03:48:49 UTC 2011 i686 GNU/Linux

Have you tried a different kernel version/flavor?

If you report this to NVIDIA, please post the URL to the corresponding
forum thread to this Debian bug report, so that others may follow progress.


Andreas




Added tag(s) upstream and moreinfo. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 24 Sep 2011 07:27:10 GMT) Full text and rfc822 format available.

Message sent on to jshaio@comcast.net:
Bug#642497. (Sat, 24 Sep 2011 07:27:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#642497; Package nvidia-glx. (Thu, 06 Oct 2011 01:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to JS <jshaio@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Thu, 06 Oct 2011 01:06:03 GMT) Full text and rfc822 format available.

Message #22 received at 642497@bugs.debian.org (full text, mbox):

From: JS <jshaio@yahoo.com>
To: 642497@bugs.debian.org
Cc: jshaio@yahoo.com
Subject: Re: Bug#642497: nvidia-glx: incorrect rendering followed by xserver infinite loop when using some OpenGL apps
Date: Wed, 5 Oct 2011 18:03:24 -0700 (PDT)
[Message part 1 (text/plain, inline)]
I've posted this issue along with an nvidia-bug-report.log.gz that caught the problem to the NVIDIA thread:    http://www.nvnews.net/vbulletin/showthread.php?t=167084

This worked correctly on my first install of Wheezy on 07/23 with the same linux kernel I'm currently using,  2.6.39-2-686-pae.
I'm working on installing from snapshot.debian.org all the packages providing shared libs to the OpenGL applications with this problem but haven't completed this.
thanks,--jack


--- On Sat, 9/24/11, Andreas Beckmann <debian@abeckmann.de> wrote:

From: Andreas Beckmann <debian@abeckmann.de>
Subject: Bug#642497: nvidia-glx: incorrect rendering followed by xserver infinite loop when using some OpenGL apps
To: 642497@bugs.debian.org, 642497-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Date: Saturday, September 24, 2011, 3:24 AM

tag 642497 upstream moreinfo
thanks

On 2011-09-23 05:30, jack wrote:
> I had nvidia-glx and X running well on Wheezy installed July 23,2011 on a new PC with an NVIDIA 560 Ti card.
> After an apt-get upgrade on August 17, the OpenGL features are no longer working correctly and I haven't been
> able to restore the system, even when rolling back to July 23 versions (nvidia-glx=275.09.07-5 and xserver-xorg-core=1.10.2.902-1)

In that case, probably some other change introduced in the Aug 17 update
caused these problems. /var/log/dpkg.log*, /var/log/term.log*,
/var/log/aptitude* should contain your upgrade history.

> OpenGL problems seen in 3 different packages:

There is nothing we can do about these problems in the closed source
driver. Please report them directly to NVIDIA, following their bug
reporting instructions:
http://www.nvnews.net/vbulletin/showthread.php?t=46678


>    [ 672.814] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
...
>    The Xserver infinite loop problem was mitigating by adding to xorg.conf
...
>            Option         "IgnoreABI" "True"

can't be, this should be completely unrelated

>    but the Xserver became unusable in that it was impossible to scroll down and select an item
>    from a list (for example a music list in totem). Commands like 'less' on a gnome-terminal
>    scrolled endlessly even though resize shows the correct number of lines and columns. 
> 
> I tried rolling back to the xserver and nvidia-glx versions on July 23, when these worked fine,
> but the problems persisted.

Have you tried creating a completely new user account (with no
accumulated cruft in his dot-files) and testing as this user?

Turning off desktop effects has also helped some users.

> I also tried installing the Nvidia driver directly from the NVIDIA package, without dkms, but
> the problem was the same.

Another sign that this is not a packaging issue.

> Bug 641344 describes rendering problems with xserver and nvidia for versions
>   xserver-xorg-core 2:1.11.0-1
>   xserver-xorg-video-nvidia 285.03-2

Xserver 1.11.0 is problematic, a fix has been submitted to upstream and
will be included in 1.11.1, but if you stayed with 1.10.x this should be
not your issue.

> Linux berkeley 2.6.39-2-686-pae #1 SMP Tue Jul 5 03:48:49 UTC 2011 i686 GNU/Linux

Have you tried a different kernel version/flavor?

If you report this to NVIDIA, please post the URL to the corresponding
forum thread to this Debian bug report, so that others may follow progress.


Andreas



-- 
To unsubscribe, send mail to 642497-unsubscribe@bugs.debian.org.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#642497; Package nvidia-glx. (Thu, 13 Oct 2011 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to JS <jshaio@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Thu, 13 Oct 2011 01:57:03 GMT) Full text and rfc822 format available.

Message #27 received at 642497@bugs.debian.org (full text, mbox):

From: JS <jshaio@yahoo.com>
To: 642497@bugs.debian.org
Cc: jshaio@yahoo.com
Subject: RE: possible solution to nvidia opengl issue
Date: Wed, 12 Oct 2011 18:52:44 -0700 (PDT)
[Message part 1 (text/plain, inline)]
The sequence of installs below seems to have fixed the problem and I can no longerreproduce it either with /usr/lib/xscreensaver/endgame nor with fgfs [the latter made the problem appear within 1 minute and shortly after froze the X server every time.]
I am still using the original kernel installed in July: linux-image-2.6.39-2-686-pae         2.6.39-3 
The last related packages reinstalled or upgraded were related to mesa; it would appearfrom them that this problem was unrelated to either the nvidia driver nor the xserver (I amstill using 1.10.2 for this).



2011-10-09 19:58:26 status installed libx264-118 3:0.118.2085+git8a62835-0.1
2011-10-09 19:58:27 status installed libvorbisidec1 1.0.2+svn16259-2
2011-10-09 19:58:27 status installed libx264-dev 3:0.118.2085+git8a62835-0.1
2011-10-10 21:13:15 status installed ccache 3.1.6-1
2011-10-10 21:13:17 status installed g++-4.6 4.6.1-4
2011-10-10 21:13:17 status installed libstdc++6-4.6-dev 4.6.1-4
2011-10-10 21:13:18 status installed build-essential 11.5
2011-10-10 21:13:18 status installed g++ 4:4.6.1-2
2011-10-10 21:35:42 status installed libblkid1 2.17.2-9.1
2011-10-10 21:35:42 status installed libuuid1 2.17.2-9.1
2011-10-10 21:35:44 status installed uuid-dev 2.17.2-9.1
2011-10-10 21:35:50 status installed util-linux 2.17.2-9.1
2011-10-10 21:35:51 status installed install-info 4.13a.dfsg.1-8
2011-10-10 21:42:10 status installed glx-alternative-nvidia 0.1.4
2011-10-10 21:42:31 status installed nvidia-kernel-dkms 275.09.07-5
2011-10-10 21:42:31 status installed nvidia-kernel-source 275.09.07-5
2011-10-10 21:42:32 status installed glx-alternative-nvidia 0.1.4
2011-10-10 21:42:32 status installed nvidia-vdpau-driver 275.09.07-5
2011-10-10 21:42:33 status installed libgl1-nvidia-alternatives 275.09.07-5
2011-10-10 21:42:33 status installed libglx-nvidia-alternatives 275.09.07-5
2011-10-10 21:42:33 status installed nvidia-alternative 275.09.07-5
2011-10-10 21:42:34 status installed glx-alternative-nvidia 0.1.4
2011-10-10 21:42:34 status installed libgl1-nvidia-glx 275.09.07-5
2011-10-10 21:42:34 status installed nvidia-alternative 275.09.07-5
2011-10-10 21:42:34 status installed nvidia-glx 275.09.07-5
2011-10-10 21:42:34 status installed xserver-xorg-video-nvidia 275.09.07-5
2011-10-10 21:42:35 status installed nvidia-xconfig 275.09.07-1
2011-10-10 21:42:43 status installed glx-alternative-mesa 0.1.4
2011-10-10 21:42:43 status installed nvidia-glx 275.09.07-5
2011-10-10 21:42:43 status installed nvidia-settings 275.09.07-1
2011-10-10 22:01:05 status installed xserver-xorg-input-joystick 1:1.6.0-1
2011-10-10 22:01:06 status config-files xserver-xorg-input-joystick 1:1.6.0-1
2011-10-10 22:01:07 status config-files xserver-xorg-input-joystick 1:1.6.0-1
2011-10-10 22:01:07 status not-installed xserver-xorg-input-joystick <none>
2011-10-10 22:27:51 status installed xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1+b1
2011-10-10 22:27:52 status config-files xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1+b1
2011-10-10 22:27:53 status not-installed xserver-xorg-video-nouveau <none>
2011-10-10 22:28:20 status installed libgl1-nvidia-alternatives 280.13.really.275.28-1
2011-10-10 22:28:20 status installed libglx-nvidia-alternatives 280.13.really.275.28-1
2011-10-10 22:28:20 status installed nvidia-alternative 280.13.really.275.28-1
2011-10-10 22:28:21 status installed nvidia-vdpau-driver 280.13.really.275.28-1
2011-10-10 22:28:43 status installed nvidia-kernel-dkms 280.13.really.275.28-1
2011-10-10 22:28:43 status installed nvidia-settings 280.13-1
2011-10-10 22:28:44 status installed nvidia-alternative 280.13.really.275.28-1
2011-10-10 22:28:44 status installed nvidia-xconfig 280.13-1
2011-10-10 22:28:45 status installed glx-alternative-nvidia 0.1.4
2011-10-10 22:28:45 status installed libgl1-nvidia-glx 280.13.really.275.28-1
2011-10-10 22:28:46 status installed nvidia-glx 280.13.really.275.28-1
2011-10-10 22:28:46 status installed xserver-xorg-video-nvidia 280.13.really.275.28-1
2011-10-10 22:28:48 status installed glx-alternative-mesa 0.1.4
2011-10-10 22:28:48 status installed nvidia-glx 280.13.really.275.28-1
2011-10-10 22:29:45 status installed glx-diversions 0.1.94
2011-10-10 22:29:46 status installed glx-alternative-mesa 0.1.94
2011-10-10 22:29:46 status installed glx-alternative-nvidia 0.1.94
2011-10-10 22:30:24 status installed nvidia-kernel-source 280.13.really.275.28-1
2011-10-10 22:31:23 status installed nvidia-kernel-source 280.13.really.275.28-1
2011-10-10 22:31:24 status config-files nvidia-kernel-source 280.13.really.275.28-1
2011-10-10 22:31:24 status not-installed nvidia-kernel-source <none>
2011-10-10 22:32:25 status installed nvidia-detect 280.13.really.275.28-1
2011-10-10 23:11:23 status installed hungarian2.6 0.2-1
2011-10-10 23:14:50 status config-files hungarian2.6 0.2-1
2011-10-10 23:14:50 status installed hungarian2.6 0.2-1
2011-10-11 18:02:05 status installed libegl1-mesa-dev 7.10.3-3
2011-10-11 18:02:08 status config-files libdrm-dev 2.4.26-1
2011-10-11 18:02:08 status config-files libegl1-mesa-dev 7.10.3-3
2011-10-11 18:02:08 status installed libdrm-dev 2.4.26-1
2011-10-11 18:02:08 status not-installed libegl1-mesa-dev <none>
2011-10-11 18:02:09 status config-files libdrm-dev 2.4.26-1
2011-10-11 18:02:09 status installed libgbm1 7.11-5
2011-10-11 18:02:09 status not-installed libdrm-dev <none>
2011-10-11 18:02:10 status config-files libegl1-mesa-drivers 7.10.3-3
2011-10-11 18:02:10 status config-files libgbm1 7.11-5
2011-10-11 18:02:10 status installed libegl1-mesa-drivers 7.10.3-3
2011-10-11 18:02:11 status installed libdrm-nouveau1a 2.4.26-1
2011-10-11 18:02:11 status not-installed libegl1-mesa-drivers <none>
2011-10-11 18:02:12 status config-files libdrm-nouveau1a 2.4.26-1
2011-10-11 18:02:12 status not-installed libdrm-nouveau1a <none>
2011-10-11 18:04:26 status installed glx-alternative-mesa 0.1.94
2011-10-11 18:04:30 status installed libgl1-mesa-dri 7.11-6
2011-10-11 18:04:30 status installed libgl1-mesa-glx 7.11-6
2011-10-11 18:04:30 status installed libglapi-mesa 7.11-6
2011-10-11 18:04:31 status installed libglide3 2002.04.10ds1-7
2011-10-11 18:04:32 status installed mesa-common-dev 7.11-6
2011-10-11 18:04:32 status installed mesa-utils 8.0.1-2+b1
2011-10-11 18:06:10 status installed nvidia-alternative 280.13.really.275.28-1
2011-10-11 18:06:10 status installed nvidia-vdpau-driver 280.13.really.275.28-1
2011-10-11 18:06:11 status installed nvidia-kernel-common 20110729+2
2011-10-11 18:06:32 status installed nvidia-alternative 280.13.really.275.28-1
2011-10-11 18:06:32 status installed nvidia-kernel-dkms 280.13.really.275.28-1
2011-10-11 18:06:33 status installed glx-alternative-nvidia 0.1.94
2011-10-11 18:06:33 status installed nvidia-alternative 280.13.really.275.28-1
2011-10-11 18:06:33 status installed nvidia-glx 280.13.really.275.28-1
2011-10-11 18:06:39 status installed initramfs-tools 0.99
2011-10-11 18:06:39 status installed nvidia-glx 280.13.really.275.28-1
2011-10-11 18:06:40 status installed glx-alternative-mesa 0.1.94
2011-10-11 18:18:44 status installed libegl1-mesa 7.10.3-3
2011-10-11 18:18:55 status config-files libegl1-mesa 7.10.3-3
2011-10-11 18:18:56 status config-files libegl1-mesa 7.10.3-3
2011-10-11 18:18:56 status not-installed libegl1-mesa <none>
2011-10-11 18:34:24 status installed libdrm-nouveau1a 2.4.26-1
2011-10-11 18:34:25 status installed libegl1-mesa 7.11-6
2011-10-11 18:34:25 status installed libegl1-mesa-drivers 7.11-6
2011-10-11 18:34:25 status installed libgbm1 7.11-6
2011-10-11 18:34:25 status installed libgles2-mesa 7.11-6
2011-10-11 18:34:26 status installed libglu1-mesa 7.11-6
2011-10-11 18:34:26 status installed libglw1-mesa 7.11-6
2011-10-11 18:34:26 status installed libosmesa6 7.11-6
2011-10-11 18:34:27 status installed libglui2c2 2.36-4
2011-10-11 18:34:27 status installed libgtkgl2.0-1 2.0.1-2
2011-10-11 18:34:27 status installed libgtkglext1 1.2.0-2
2011-10-11 18:34:28 status installed xscreensaver-gl 5.14-1
2011-10-11 18:34:28 status installed xscreensaver-gl-extra 5.14-1
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#642497; Package nvidia-glx. (Thu, 13 Oct 2011 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to JS <jshaio@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Thu, 13 Oct 2011 10:48:06 GMT) Full text and rfc822 format available.

Message #32 received at 642497@bugs.debian.org (full text, mbox):

From: JS <jshaio@yahoo.com>
To: 642497@bugs.debian.org
Cc: jshaio@yahoo.com
Subject: Re: Bug#642497: possible solution to nvidia opengl issue
Date: Thu, 13 Oct 2011 03:44:31 -0700 (PDT)
I neglected to mention that I also purged the xserver-xorg-video-nouveau
package before the sequence of dpkg operations below.

When trying to install the nvidia drivers directly from the NVIDIA blob,
a warning appears about potential problems if the nouveau driver is also
installed (something regarding mismatch with the nouveau shared libs,
despite the setup of alternatives and diversions for them).

However, when this problem appeared, I did have both nvidia and nouveau
servers installed without any conflict being detected.

Perhaps a conflict with nouveau should be added to the nvidia package to
avoid this possibility, based on the warnings from NVIDIA. [This problem
did not arise with the older nv driver.]

--js

--- On Wed, 10/12/11, JS <jshaio@yahoo.com> wrote:

From: JS <jshaio@yahoo.com>
Subject: Bug#642497: possible solution to nvidia opengl issue
To: 642497@bugs.debian.org
Cc: jshaio@yahoo.com
Date: Wednesday, October 12, 2011, 9:52 PM

The sequence of installs below seems to have fixed the problem and I can
no longerreproduce it either with /usr/lib/xscreensaver/endgame nor with
fgfs [the latter made the problem appear within 1 minute and shortly after
froze the X server every time.]
I am still using the original kernel installed in July:
    linux-image-2.6.39-2-686-pae         2.6.39-3 
The last related packages reinstalled or upgraded were related to mesa; it
would appear from them that this problem was unrelated to either the
nvidia driver nor the xserver (I amstill using 1.10.2 for this).



2011-10-09 19:58:26 status installed libx264-118 3:0.118.2085+git8a62835-0.1
2011-10-09 19:58:27 status installed libvorbisidec1 1.0.2+svn16259-2
2011-10-09 19:58:27 status installed
 libx264-dev 3:0.118.2085+git8a62835-0.1
2011-10-10 21:13:15 status installed ccache 3.1.6-1
2011-10-10 21:13:17 status installed g++-4.6 4.6.1-4
2011-10-10 21:13:17 status installed libstdc++6-4.6-dev 4.6.1-4
2011-10-10 21:13:18 status installed build-essential 11.5
2011-10-10 21:13:18 status installed g++ 4:4.6.1-2
2011-10-10 21:35:42 status installed libblkid1 2.17.2-9.1
2011-10-10 21:35:42 status installed libuuid1 2.17.2-9.1
2011-10-10 21:35:44 status installed uuid-dev 2.17.2-9.1
2011-10-10 21:35:50 status installed util-linux 2.17.2-9.1
2011-10-10 21:35:51 status installed install-info 4.13a.dfsg.1-8
2011-10-10 21:42:10 status installed glx-alternative-nvidia 0.1.4
2011-10-10 21:42:31 status installed nvidia-kernel-dkms 275.09.07-5
2011-10-10 21:42:31 status installed nvidia-kernel-source 275.09.07-5
2011-10-10 21:42:32 status installed glx-alternative-nvidia 0.1.4
2011-10-10 21:42:32 status installed
 nvidia-vdpau-driver 275.09.07-5
2011-10-10 21:42:33 status installed libgl1-nvidia-alternatives 275.09.07-5
2011-10-10 21:42:33 status installed libglx-nvidia-alternatives 275.09.07-5
2011-10-10 21:42:33 status installed nvidia-alternative 275.09.07-5
2011-10-10 21:42:34 status installed glx-alternative-nvidia 0.1.4
2011-10-10 21:42:34 status installed libgl1-nvidia-glx 275.09.07-5
2011-10-10 21:42:34 status installed nvidia-alternative 275.09.07-5
2011-10-10 21:42:34 status installed nvidia-glx 275.09.07-5
2011-10-10 21:42:34 status installed xserver-xorg-video-nvidia 275.09.07-5
2011-10-10 21:42:35 status installed nvidia-xconfig 275.09.07-1
2011-10-10 21:42:43 status installed glx-alternative-mesa 0.1.4
2011-10-10 21:42:43 status installed nvidia-glx 275.09.07-5
2011-10-10 21:42:43 status installed nvidia-settings 275.09.07-1
2011-10-10 22:01:05 status installed xserver-xorg-input-joystick
 1:1.6.0-1
2011-10-10 22:01:06 status config-files xserver-xorg-input-joystick 1:1.6.0-1
2011-10-10 22:01:07 status config-files xserver-xorg-input-joystick 1:1.6.0-1
2011-10-10 22:01:07 status not-installed xserver-xorg-input-joystick <none>
2011-10-10 22:27:51 status installed xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1+b1
2011-10-10 22:27:52 status config-files xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1+b1
2011-10-10 22:27:53 status not-installed xserver-xorg-video-nouveau <none>
2011-10-10 22:28:20 status installed libgl1-nvidia-alternatives 280.13.really.275.28-1
2011-10-10 22:28:20 status installed libglx-nvidia-alternatives 280.13.really.275.28-1
2011-10-10 22:28:20 status installed nvidia-alternative 280.13.really.275.28-1
2011-10-10 22:28:21 status installed nvidia-vdpau-driver 280.13.really.275.28-1
2011-10-10 22:28:43 status installed nvidia-kernel-dkms
 280.13.really.275.28-1
2011-10-10 22:28:43 status installed nvidia-settings 280.13-1
2011-10-10 22:28:44 status installed nvidia-alternative 280.13.really.275.28-1
2011-10-10 22:28:44 status installed nvidia-xconfig 280.13-1
2011-10-10 22:28:45 status installed glx-alternative-nvidia 0.1.4
2011-10-10 22:28:45 status installed libgl1-nvidia-glx 280.13.really.275.28-1
2011-10-10 22:28:46 status installed nvidia-glx 280.13.really.275.28-1
2011-10-10 22:28:46 status installed xserver-xorg-video-nvidia 280.13.really.275.28-1
2011-10-10 22:28:48 status installed glx-alternative-mesa 0.1.4
2011-10-10 22:28:48 status installed nvidia-glx 280.13.really.275.28-1
2011-10-10 22:29:45 status installed glx-diversions 0.1.94
2011-10-10 22:29:46 status installed glx-alternative-mesa 0.1.94
2011-10-10 22:29:46 status installed glx-alternative-nvidia 0.1.94
2011-10-10 22:30:24 status installed nvidia-kernel-source
 280.13.really.275.28-1
2011-10-10 22:31:23 status installed nvidia-kernel-source 280.13.really.275.28-1
2011-10-10 22:31:24 status config-files nvidia-kernel-source 280.13.really.275.28-1
2011-10-10 22:31:24 status not-installed nvidia-kernel-source <none>
2011-10-10 22:32:25 status installed nvidia-detect 280.13.really.275.28-1
2011-10-10 23:11:23 status installed hungarian2.6 0.2-1
2011-10-10 23:14:50 status config-files hungarian2.6 0.2-1
2011-10-10 23:14:50 status installed hungarian2.6 0.2-1
2011-10-11 18:02:05 status installed libegl1-mesa-dev 7.10.3-3
2011-10-11 18:02:08 status config-files libdrm-dev 2.4.26-1
2011-10-11 18:02:08 status config-files libegl1-mesa-dev 7.10.3-3
2011-10-11 18:02:08 status installed libdrm-dev 2.4.26-1
2011-10-11 18:02:08 status not-installed libegl1-mesa-dev <none>
2011-10-11 18:02:09 status config-files libdrm-dev 2.4.26-1
2011-10-11 18:02:09 status installed
 libgbm1 7.11-5
2011-10-11 18:02:09 status not-installed libdrm-dev <none>
2011-10-11 18:02:10 status config-files libegl1-mesa-drivers 7.10.3-3
2011-10-11 18:02:10 status config-files libgbm1 7.11-5
2011-10-11 18:02:10 status installed libegl1-mesa-drivers 7.10.3-3
2011-10-11 18:02:11 status installed libdrm-nouveau1a 2.4.26-1
2011-10-11 18:02:11 status not-installed libegl1-mesa-drivers <none>
2011-10-11 18:02:12 status config-files libdrm-nouveau1a 2.4.26-1
2011-10-11 18:02:12 status not-installed libdrm-nouveau1a <none>
2011-10-11 18:04:26 status installed glx-alternative-mesa 0.1.94
2011-10-11 18:04:30 status installed libgl1-mesa-dri 7.11-6
2011-10-11 18:04:30 status installed libgl1-mesa-glx 7.11-6
2011-10-11 18:04:30 status installed libglapi-mesa 7.11-6
2011-10-11 18:04:31 status installed libglide3 2002.04.10ds1-7
2011-10-11 18:04:32 status installed mesa-common-dev
 7.11-6
2011-10-11 18:04:32 status installed mesa-utils 8.0.1-2+b1
2011-10-11 18:06:10 status installed nvidia-alternative 280.13.really.275.28-1
2011-10-11 18:06:10 status installed nvidia-vdpau-driver 280.13.really.275.28-1
2011-10-11 18:06:11 status installed nvidia-kernel-common 20110729+2
2011-10-11 18:06:32 status installed nvidia-alternative 280.13.really.275.28-1
2011-10-11 18:06:32 status installed nvidia-kernel-dkms 280.13.really.275.28-1
2011-10-11 18:06:33 status installed glx-alternative-nvidia 0.1.94
2011-10-11 18:06:33 status installed nvidia-alternative 280.13.really.275.28-1
2011-10-11 18:06:33 status installed nvidia-glx 280.13.really.275.28-1
2011-10-11 18:06:39 status installed initramfs-tools 0.99
2011-10-11 18:06:39 status installed nvidia-glx 280.13.really.275.28-1
2011-10-11 18:06:40 status installed glx-alternative-mesa 0.1.94
2011-10-11 18:18:44 status installed libegl1-mesa
 7.10.3-3
2011-10-11 18:18:55 status config-files libegl1-mesa 7.10.3-3
2011-10-11 18:18:56 status config-files libegl1-mesa 7.10.3-3
2011-10-11 18:18:56 status not-installed libegl1-mesa <none>
2011-10-11 18:34:24 status installed libdrm-nouveau1a 2.4.26-1
2011-10-11 18:34:25 status installed libegl1-mesa 7.11-6
2011-10-11 18:34:25 status installed libegl1-mesa-drivers 7.11-6
2011-10-11 18:34:25 status installed libgbm1 7.11-6
2011-10-11 18:34:25 status installed libgles2-mesa 7.11-6
2011-10-11 18:34:26 status installed libglu1-mesa 7.11-6
2011-10-11 18:34:26 status installed libglw1-mesa 7.11-6
2011-10-11 18:34:26 status installed libosmesa6 7.11-6
2011-10-11 18:34:27 status installed libglui2c2 2.36-4
2011-10-11 18:34:27 status installed libgtkgl2.0-1 2.0.1-2
2011-10-11 18:34:27 status installed libgtkglext1 1.2.0-2
2011-10-11 18:34:28 status installed xscreensaver-gl 5.14-1
2011-10-11 18:34:28
 status installed xscreensaver-gl-extra 5.14-1





Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#642497; Package nvidia-glx. (Sun, 16 Oct 2011 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sun, 16 Oct 2011 19:06:03 GMT) Full text and rfc822 format available.

Message #37 received at 642497@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: JS <jshaio@yahoo.com>, 642497@bugs.debian.org
Subject: Re: Bug#644601: [xserver-xorg-core] hard lock-up: [mi] EQ overflowing
Date: Sun, 16 Oct 2011 21:03:28 +0200
[moving discussion back to your report #642497]

On 2011-10-13 12:44, JS wrote:
> Perhaps a conflict with nouveau should be added to the nvidia package > to
> avoid this possibility, based on the warnings from NVIDIA.

Adding conflicts is not a good solution as we want to allow switching
between free and non-free drivers without requiring installing or
removing packages. Furthermore adding such a conflict may render a lot
of unrelated packages uninstallable. (Think of a live CD that has all
sorts of hardware support installed and some clever piece of hardware
detection that enables/disables the right things during boot. E.g.
nvidia and fglrx proprietary drivers can now be installed in parallel,
even if a "normal" system will use at most one of them.)
But eventually the problematic nouveau files can be diverted (like MESA
libGL) and be reenabled depending on the setting of the glx alternative
... but first we have to find out whats causing the problems.

On 2011-10-16 16:01, JS wrote:
> I had a similar problem with the nvidia driver which resulted in
> easy-to-reproduce X server lockups. The Xorg.0.log show the "EQ overflowing"
> message followed by message that the xserver was in an infinite loop.
> 
> The bug is 642497:
>     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=642497
> 
> It was fixed by purging the xserver-xorg-video-nouveau  followed by reinstall
> of the nvidia drivers and xserver.

Do you have libdrm-nouveau1a and/or libdrm-nouveau1 still installed?

> If one tries to install the nvidia driver directly from the NVIDIA blog,
> there is a warning that the presence of shared libs from nouveau may cause
> problems. After doing this reinstall I've tested extensively and had no problems.

Purging and reinstalling should not be neccessary, a restart of the X
server following the package installation/removal should be sufficient.
Eventually a system reboot could be necessary to return the GPU into a
defined state (in case both nvidia-driver and nouveau-whatever tried to
initialize the card in "their" way).

Since you had an easily reproducible way to trigger the problem ...
could you test something more? At the point where X hangs, is the
machine still usable? E.g. can you get into a console (Ctrl-Alt-F1 etc)
or SSH into the machine?

If libdrm-nouveau1a is not installed - install it (but not
xserver-xorg-nouveau) and test again.
If this does not trigger the problem, add xserver-xorg-nouveau and test.
You should get back to "working" state by just uninstalling these two
packages.

Once the xserver got stuck, run

    lsof -n -P | grep nouveau

from a console/ssh to see whether something is currently using a nouveau
file.

Luckily there are only two nouveau specific libraries:
/usr/lib/xorg/modules/drivers/nouveau_drv.so
/usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.1


Thanks.

Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#642497; Package nvidia-glx. (Sun, 16 Oct 2011 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to JS <jshaio@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sun, 16 Oct 2011 21:57:04 GMT) Full text and rfc822 format available.

Message #42 received at 642497@bugs.debian.org (full text, mbox):

From: JS <jshaio@yahoo.com>
To: 642497@bugs.debian.org
Subject: Re: Bug#642497: Bug#644601: [xserver-xorg-core] hard lock-up: [mi] EQ overflowing
Date: Sun, 16 Oct 2011 14:52:54 -0700 (PDT)
I'm not yet too familiar with the deeper issues you mention regarding
adding conflicts (having only recently changed from an rpm-based system).

However, trying to install the drivers directly from the NVIDIA .run file
does bring up an explicit warning about the nouveau driver (and
no warnings regarding other drivers, just this one). I just reviewed this
warning again and it regards nouveau driver being in use even when X is
not running, and potentially also being present in the initrd.
  NVIDIA: " If you have an initrd which loads the Nouveau driver, you will additionally
   need to ensure that Nouveau is disabled in the initrd. If your initrd
   understands the rdblacklist parameter, you can add the option
   rdblacklist=nouveau to your kernel's boot parameters."
[I was mistaken when I said it was the nouveau shared libs that were the issue.]

I do have this version of libdrm-nouveau1a installed (with no problems at all):
ii  libdrm-nouveau1a                     2.4.26-1  


The problem I reported was purely X server; I could not use the keyboard
to switch to another console. But there was never any problem getting in
with ssh from another machine, examining logs and initiating a graceful
restart.

The set of packages related to this issue that I'm currently using
(and are now pinned) is:
ii  glx-alternative-mesa                 0.1.94
ii  glx-alternative-nvidia               0.1.94                    
ii  glx-diversions                       0.1.94                    
ii  libdrm-nouveau1a                     2.4.26-1                         
ii  libegl1-mesa                         7.11-6                    
ii  libegl1-mesa-drivers                 7.11-6                    
ii  libgl1-mesa-dri                      7.11-6                    
ii  libgl1-mesa-glx                      7.11-6                    
ii  libgl1-nvidia-alternatives           280.13.really.275.28-1           
ii  libgl1-nvidia-glx                    280.13.really.275.28-1           
ii  libglapi-mesa                        7.11-6                    
ii  libgles2-mesa                        7.11-6                    
ii  libglu1-mesa                         7.11-6                    
ii  libglw1-mesa                         7.11-6                    
ii  libglx-nvidia-alternatives           280.13.really.275.28-1           
ii  libopenvg1-mesa                      7.11-6                    
ii  libosmesa6                           7.11-6                    
ii  libva-glx1                           1.0.12-2                         
ii  libxcb-glx0                          1.7-3                            
ii  libxcb-glx0-dev                      1.7-3                     
ii  mesa-common-dev                      7.11-6                    
ii  mesa-utils                           8.0.1-2+b1                       
ii  nvidia-alternative                   280.13.really.275.28-1           
ii  nvidia-detect                        280.13.really.275.28-1           
ii  nvidia-glx                           280.13.really.275.28-1           
ii  nvidia-installer-cleanup             20110729+2                
ii  nvidia-kernel-common                 20110729+2                
ii  nvidia-kernel-dkms                   280.13.really.275.28-1           
ii  nvidia-settings                      280.13-1                         
ii  nvidia-support                       20110729+2                
ii  nvidia-vdpau-driver                  280.13.really.275.28-1           
ii  nvidia-xconfig                       280.13-1                         
ii  xserver-xorg-core                    2:1.10.2.902-1                   
ii  xserver-xorg-video-nvidia            280.13.really.275.28-1 

[in addition, xserver-xorg-video-nouveau now has Pin-Priority=-1]

--- On Sun, 10/16/11, Andreas Beckmann <debian@abeckmann.de> wrote:

> From: Andreas Beckmann <debian@abeckmann.de>
> Subject: Bug#642497: Bug#644601: [xserver-xorg-core] hard lock-up: [mi] EQ overflowing
> To: "JS" <jshaio@yahoo.com>, 642497@bugs.debian.org
> Date: Sunday, October 16, 2011, 3:03 PM
> [moving discussion back to your
> report #642497]
> 
> On 2011-10-13 12:44, JS wrote:
> > Perhaps a conflict with nouveau should be added to the
> nvidia package > to
> > avoid this possibility, based on the warnings from
> NVIDIA.
> 
> Adding conflicts is not a good solution as we want to allow switching
> between free and non-free drivers without requiring installing or
> removing packages. Furthermore adding such a conflict may render a lot
> of unrelated packages uninstallable. (Think of a live CD that has all
> sorts of hardware support installed and some clever piece of hardware
> detection that enables/disables the right things during boot. E.g.
> nvidia and fglrx proprietary drivers can now be installed in parallel,
> even if a "normal" system will use at most one of them.)
> But eventually the problematic nouveau files can be diverted (like MESA
> libGL) and be reenabled depending on the setting of the glx alternative
> ... but first we have to find out whats causing the problems.
> 
> On 2011-10-16 16:01, JS wrote:
> > I had a similar problem with the nvidia driver which resulted in
> > easy-to-reproduce X server lockups. The Xorg.0.log show the "EQ overflowing"
> > message followed by message that the xserver was in an infinite loop.
> > 
> > The bug is 642497:
> >     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=642497
> > 
> > It was fixed by purging the xserver-xorg-video-nouveau  followed by reinstall
> > of the nvidia drivers and xserver.
> 
> Do you have libdrm-nouveau1a and/or libdrm-nouveau1 still installed?
> 
> > If one tries to install the nvidia driver directly from the NVIDIA blog,
> > there is a warning that the presence of shared libs from nouveau may cause
> > problems. After doing this reinstall I've tested extensively and had no problems.
> 
> Purging and reinstalling should not be neccessary, a restart of the X
> server following the package installation/removal should be sufficient.
> Eventually a system reboot could be necessary to return the GPU into a
> defined state (in case both nvidia-driver and nouveau-whatever tried to
> initialize the card in "their" way).
> 
> Since you had an easily reproducible way to trigger the problem ...
> could you test something more? At the point where X hangs, is the
> machine still usable? E.g. can you get into a console (Ctrl-Alt-F1 etc)
> or SSH into the machine?
> 
> If libdrm-nouveau1a is not installed - install it (but not
> xserver-xorg-nouveau) and test again.
> If this does not trigger the problem, add xserver-xorg-nouveau and test.
> You should get back to "working" state by just uninstalling
> these two packages.
> 
> Once the xserver got stuck, run
> 
>     lsof -n -P | grep nouveau
> 
> from a console/ssh to see whether something is currently
> using a nouveau
> file.
> 
> Luckily there are only two nouveau specific libraries:
> /usr/lib/xorg/modules/drivers/nouveau_drv.so
> /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.1
> 
> 
> Thanks.
> 
> Andreas
> 
> 
> 
> -- 
> To unsubscribe, send mail to 642497-unsubscribe@bugs.debian.org.
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#642497; Package nvidia-glx. (Mon, 17 Oct 2011 06:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 17 Oct 2011 06:24:05 GMT) Full text and rfc822 format available.

Message #47 received at 642497@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: JS <jshaio@yahoo.com>, 642497@bugs.debian.org
Subject: Re: Bug#642497: Bug#644601: [xserver-xorg-core] hard lock-up: [mi] EQ overflowing
Date: Mon, 17 Oct 2011 08:22:08 +0200
On 2011-10-16 23:52, JS wrote:
> I'm not yet too familiar with the deeper issues you mention regarding
> adding conflicts (having only recently changed from an rpm-based system).
> 
> However, trying to install the drivers directly from the NVIDIA .run file
...
>   NVIDIA: " If you have an initrd which loads the Nouveau driver, you will additionally
>    need to ensure that Nouveau is disabled in the initrd. If your initrd
>    understands the rdblacklist parameter, you can add the option
>    rdblacklist=nouveau to your kernel's boot parameters."
> [I was mistaken when I said it was the nouveau shared libs that were the issue.]

OK. Blacklisting the nouveau kernel driver is already taken care of by
nvidia-kernel-common, including rebuilding the initrd. (initrd handling
is only in wheezy+sid, not in squeeze)

> I do have this version of libdrm-nouveau1a installed (with no problems at all):
> ii  libdrm-nouveau1a                     2.4.26-1  

Pure existance of the lib is not a problem. Very good.

> The problem I reported was purely X server; I could not use the keyboard
> to switch to another console. But there was never any problem getting in
> with ssh from another machine, examining logs and initiating a graceful
> restart.

So now it's only xserver-xorg-video-nouveau remaining as a candidate.
Could you reinstall it and if the problem reappears, send the following:
* your xorg.conf (and/or xorg.conf.d/ snippets)
* /var/log/Xorg.0.log without xserver-xorg-video-nouveau being installed
* /var/log/Xorg.0.log after hanging
Removing xserver-xorg-video-nouveau afterwards should fix it again.

Thanks

Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#642497; Package nvidia-glx. (Mon, 17 Oct 2011 13:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 17 Oct 2011 13:51:07 GMT) Full text and rfc822 format available.

Message #52 received at 642497@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: JS <jshaio@yahoo.com>, 642497@bugs.debian.org
Subject: Re: Bug#642497: Bug#644601: [xserver-xorg-core] hard lock-up: [mi] EQ overflowing
Date: Mon, 17 Oct 2011 15:46:59 +0200
On 2011-10-17 12:52, JS wrote:
> Andreas,
> 
> I have another system that I'm planning to convert to Debian soon
> and on which I can test these changes. This problem happened on my
> main system and I'm reluctant to test on it now that it's finally
> working again.
> 
> I hope to get the test system going within a week and have the history
> from dpkg.log to reproduce the steps that led to this problem.
> 
> thanks,
> --jack

Thats fine.


Andreas




Merged 642497 644601. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 18 Oct 2011 07:42:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#642497; Package nvidia-glx. (Wed, 19 Oct 2011 22:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to JS <jshaio@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Wed, 19 Oct 2011 22:36:05 GMT) Full text and rfc822 format available.

Message #59 received at 642497@bugs.debian.org (full text, mbox):

From: JS <jshaio@yahoo.com>
To: 642497@bugs.debian.org
Subject: Re: Bug#642497: Bug#644601: [xserver-xorg-core] hard lock-up: [mi] EQ overflowing
Date: Wed, 19 Oct 2011 15:32:48 -0700 (PDT)
Although the changes mentioned in the earlier mail (below) significantly improved
OpenGL handling, they were not a perfect solution.

I found the crash below today running /usr/lib/xscreensaver/circuit:

[    93.931] (II) No input driver/identifier specified (ignoring)
[  7923.634] nvLock: client timed out, taking the lock
[  8068.591] nvLock: client timed out, taking the lock
[  8097.178] nvLock: client timed out, taking the lock
[  8224.735] nvLock: client timed out, taking the lock
[  8352.518] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[  8352.518] 
Backtrace:
[  8352.533] 0: /usr/bin/X (xorg_backtrace+0x37) [0x80a7f47]
[  8352.533] 1: /usr/bin/X (mieqEnqueue+0x1d1) [0x80a2231]
[  8352.533] 2: /usr/bin/X (xf86PostMotionEventM+0xb0) [0x80c9130]
[  8352.533] 3: /usr/bin/X (xf86PostMotionEventP+0x6f) [0x80c927f]
[  8352.533] 4: /usr/lib/xorg/modules/input/evdev_drv.so (0xb4ad5000+0x2cfe) [0xb4ad7cfe]
[  8352.533] 5: /usr/lib/xorg/modules/input/evdev_drv.so (0xb4ad5000+0x3e1d) [0xb4ad8e1d]
[  8352.533] 6: /usr/bin/X (0x8048000+0x6e081) [0x80b6081]
[  8352.533] 7: /usr/bin/X (0x8048000+0x1282ef) [0x81702ef]
[  8352.533] 8: (vdso) (__kernel_sigreturn+0x0) [0xb786c400]
[  8352.533] 9: (vdso) (__kernel_vsyscall+0x10) [0xb786c424]
[  8352.533] 10: /lib/i386-linux-gnu/i686/cmov/libc.so.6 (nanosleep+0x20) [0xb75b23e0]
[  8352.533] 11: /lib/i386-linux-gnu/i686/cmov/libc.so.6 (usleep+0x3c) [0xb75e166c]
[  8352.533] 12: /usr/lib/xorg/modules/drivers/nvidia_drv.so (0xb501d000+0x4540e1) [0xb54710e1]
[  8352.533] 13: /usr/lib/xorg/modules/drivers/nvidia_drv.so (0xb501d000+0x455871) [0xb5472871]
[  8352.533] 14: /usr/lib/xorg/modules/drivers/nvidia_drv.so (0xb501d000+0x45bdc9) [0xb5478dc9]
[  8353.519] nvLock: client timed out, taking the lock
[227640.543] (WW) NVIDIA(0): WAIT (2, 6, 0x8000, 0x00004fe4, 0x000051c4)

This one did freeze the Xserver and required a reboot.

Three days before I had noticed the same "EQ overflowing" message but the
X server did not crash, only the app, and the system continued to work fine.

With the package versions below I can run applications like googleearth
and fgfs without encountering problems in the first minute or two of
operation, but it appears the problem has not completely gone away.



--- On Sun, 10/16/11, JS <jshaio@yahoo.com> wrote:

> From: JS <jshaio@yahoo.com>
> Subject: Bug#642497: Bug#644601: [xserver-xorg-core] hard lock-up: [mi] EQ overflowing
> To: 642497@bugs.debian.org
> Date: Sunday, October 16, 2011, 5:52 PM
> I'm not yet too familiar with the
> deeper issues you mention regarding
> adding conflicts (having only recently changed from an
> rpm-based system).
> 
> However, trying to install the drivers directly from the
> NVIDIA .run file
> does bring up an explicit warning about the nouveau driver
> (and
> no warnings regarding other drivers, just this one). I just
> reviewed this
> warning again and it regards nouveau driver being in use
> even when X is
> not running, and potentially also being present in the
> initrd.
>   NVIDIA: " If you have an initrd which loads the
> Nouveau driver, you will additionally
>    need to ensure that Nouveau is disabled
> in the initrd. If your initrd
>    understands the rdblacklist parameter,
> you can add the option
>    rdblacklist=nouveau to your kernel's boot
> parameters."
> [I was mistaken when I said it was the nouveau shared libs
> that were the issue.]
> 
> I do have this version of libdrm-nouveau1a installed (with
> no problems at all):
> ii  libdrm-nouveau1a         
>            2.4.26-1 
> 
> 
> 
> The problem I reported was purely X server; I could not use
> the keyboard
> to switch to another console. But there was never any
> problem getting in
> with ssh from another machine, examining logs and
> initiating a graceful
> restart.
> 
> The set of packages related to this issue that I'm
> currently using
> (and are now pinned) is:
> ii  glx-alternative-mesa       
>          0.1.94
> ii  glx-alternative-nvidia       
>        0.1.94     
>               
> ii  glx-diversions         
>          
>    0.1.94         
>           
> ii  libdrm-nouveau1a         
>            2.4.26-1 
>                
>        
> ii  libegl1-mesa         
>            
>    7.11-6         
>           
> ii  libegl1-mesa-drivers       
>          7.11-6   
>                 
> ii  libgl1-mesa-dri         
>             7.11-6 
>                
>   
> ii  libgl1-mesa-glx         
>             7.11-6 
>                
>   
> ii  libgl1-nvidia-alternatives     
>      280.13.really.275.28-1   
>        
> ii  libgl1-nvidia-glx       
>            
> 280.13.really.275.28-1       
>    
> ii  libglapi-mesa         
>              
> 7.11-6             
>       
> ii  libgles2-mesa         
>              
> 7.11-6             
>       
> ii  libglu1-mesa         
>            
>    7.11-6         
>           
> ii  libglw1-mesa         
>            
>    7.11-6         
>           
> ii  libglx-nvidia-alternatives     
>      280.13.really.275.28-1   
>        
> ii  libopenvg1-mesa         
>             7.11-6 
>                
>   
> ii  libosmesa6         
>              
>    7.11-6         
>           
> ii  libva-glx1         
>              
>    1.0.12-2         
>            
>    
> ii  libxcb-glx0         
>                
> 1.7-3               
>             
> ii  libxcb-glx0-dev         
>             1.7-3   
>              
>    
> ii  mesa-common-dev         
>             7.11-6 
>                
>   
> ii  mesa-utils         
>              
>    8.0.1-2+b1       
>            
>    
> ii  nvidia-alternative       
>        
>    280.13.really.275.28-1     
>      
> ii  nvidia-detect         
>              
> 280.13.really.275.28-1       
>    
> ii  nvidia-glx         
>              
>    280.13.really.275.28-1     
>      
> ii  nvidia-installer-cleanup     
>        20110729+2   
>             
> ii  nvidia-kernel-common       
>          20110729+2 
>               
> ii  nvidia-kernel-dkms       
>        
>    280.13.really.275.28-1     
>      
> ii  nvidia-settings         
>             280.13-1 
>                
>        
> ii  nvidia-support         
>          
>    20110729+2       
>         
> ii  nvidia-vdpau-driver       
>          
> 280.13.really.275.28-1       
>    
> ii  nvidia-xconfig         
>          
>    280.13-1         
>            
>    
> ii  xserver-xorg-core       
>            
> 2:1.10.2.902-1           
>        
> ii  xserver-xorg-video-nvidia     
>       280.13.really.275.28-1 
> 
> [in addition, xserver-xorg-video-nouveau now has
> Pin-Priority=-1]
> 
> --- On Sun, 10/16/11, Andreas Beckmann <debian@abeckmann.de>
> wrote:
> 
> > From: Andreas Beckmann <debian@abeckmann.de>
> > Subject: Bug#642497: Bug#644601: [xserver-xorg-core]
> hard lock-up: [mi] EQ overflowing
> > To: "JS" <jshaio@yahoo.com>,
> 642497@bugs.debian.org
> > Date: Sunday, October 16, 2011, 3:03 PM
> > [moving discussion back to your
> > report #642497]
> > 
> > On 2011-10-13 12:44, JS wrote:
> > > Perhaps a conflict with nouveau should be added
> to the
> > nvidia package > to
> > > avoid this possibility, based on the warnings
> from
> > NVIDIA.
> > 
> > Adding conflicts is not a good solution as we want to
> allow switching
> > between free and non-free drivers without requiring
> installing or
> > removing packages. Furthermore adding such a conflict
> may render a lot
> > of unrelated packages uninstallable. (Think of a live
> CD that has all
> > sorts of hardware support installed and some clever
> piece of hardware
> > detection that enables/disables the right things
> during boot. E.g.
> > nvidia and fglrx proprietary drivers can now be
> installed in parallel,
> > even if a "normal" system will use at most one of
> them.)
> > But eventually the problematic nouveau files can be
> diverted (like MESA
> > libGL) and be reenabled depending on the setting of
> the glx alternative
> > ... but first we have to find out whats causing the
> problems.
> > 
> > On 2011-10-16 16:01, JS wrote:
> > > I had a similar problem with the nvidia driver
> which resulted in
> > > easy-to-reproduce X server lockups. The
> Xorg.0.log show the "EQ overflowing"
> > > message followed by message that the xserver was
> in an infinite loop.
> > > 
> > > The bug is 642497:
> > >     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=642497
> > > 
> > > It was fixed by purging the
> xserver-xorg-video-nouveau  followed by reinstall
> > > of the nvidia drivers and xserver.
> > 
> > Do you have libdrm-nouveau1a and/or libdrm-nouveau1
> still installed?
> > 
> > > If one tries to install the nvidia driver
> directly from the NVIDIA blog,
> > > there is a warning that the presence of shared
> libs from nouveau may cause
> > > problems. After doing this reinstall I've tested
> extensively and had no problems.
> > 
> > Purging and reinstalling should not be neccessary, a
> restart of the X
> > server following the package installation/removal
> should be sufficient.
> > Eventually a system reboot could be necessary to
> return the GPU into a
> > defined state (in case both nvidia-driver and
> nouveau-whatever tried to
> > initialize the card in "their" way).
> > 
> > Since you had an easily reproducible way to trigger
> the problem ...
> > could you test something more? At the point where X
> hangs, is the
> > machine still usable? E.g. can you get into a console
> (Ctrl-Alt-F1 etc)
> > or SSH into the machine?
> > 
> > If libdrm-nouveau1a is not installed - install it (but
> not
> > xserver-xorg-nouveau) and test again.
> > If this does not trigger the problem, add
> xserver-xorg-nouveau and test.
> > You should get back to "working" state by just
> uninstalling
> > these two packages.
> > 
> > Once the xserver got stuck, run
> > 
> >     lsof -n -P | grep nouveau
> > 
> > from a console/ssh to see whether something is
> currently
> > using a nouveau
> > file.
> > 
> > Luckily there are only two nouveau specific
> libraries:
> > /usr/lib/xorg/modules/drivers/nouveau_drv.so
> > /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.1
> > 
> > 
> > Thanks.
> > 
> > Andreas
> > 
> > 
> > 
> > -- 
> > To unsubscribe, send mail to 642497-unsubscribe@bugs.debian.org.
> >
> 
> 
> 
> --
> To unsubscribe, send mail to 642497-unsubscribe@bugs.debian.org.
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#642497; Package nvidia-glx. (Thu, 20 Oct 2011 13:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to JS <jshaio@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Thu, 20 Oct 2011 13:27:03 GMT) Full text and rfc822 format available.

Message #64 received at 642497@bugs.debian.org (full text, mbox):

From: JS <jshaio@yahoo.com>
To: 642497@bugs.debian.org
Subject: Re: Bug#642497: Bug#644601: [xserver-xorg-core] hard lock-up: [mi] EQ overflowing
Date: Thu, 20 Oct 2011 05:22:25 -0700 (PDT)
X server lockups with the "EQ overflowing" lock message have also been reported
for other types of hardware besides NVIDIA and are described in this
freedesktop bug report:

    https://bugs.freedesktop.org/show_bug.cgi?id=38029&GoAheadAndLogIn=1







Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#642497; Package nvidia-glx. (Sat, 21 Jan 2012 14:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to JS <jshaio@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sat, 21 Jan 2012 14:36:07 GMT) Full text and rfc822 format available.

Message #69 received at 642497@bugs.debian.org (full text, mbox):

From: JS <jshaio@yahoo.com>
To: 642497@bugs.debian.org, 650861@bugs.debian.org
Cc: jshaio@yahoo.com
Subject: [Solved]: opengl crashes with nvidia driver after upgrade on wheezy
Date: Sat, 21 Jan 2012 05:33:34 -0800 (PST)
I submitted 2 bugs after an upgrade of installed nvidia driver 275.05.07 on wheezy caused the X server to freeze:
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=642497
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650861

After an apt-get upgrade the nvidia driver never worked properly again, causing the X server to lock up
("EQ overflowing. The server is probably stuck in an infinite loop"), although generally the PC was
accessible via ssh.

This happened with several OpenGL applications (/usr/lib/xscreensaver/endgame, googleearth) but was
most noticeable with fgfs from flightgear; then it would take only a few seconds to reproduce the problem.

After many tries reinstalling debian and the driver, I was able to make the 290.10 driver work perfectly
and believe the problems were caused by the upgrade, not the upstream software. I followed the instructions
in  http://tinyplanet.ca/~lsorense/debian/debian-nvidia-dri-howto.html (debian nvidia driver howto), which
can be summarized as:
    1. apt-get install linux-image-686-pae linux-headers-686-pae
       - check that the versions for image and headers are exactly the same
       - if the image differs from the one currently running, REBOOT

    2. apt-get install nvidia-kernel-dkms
       - will require a REBOOT if nouveau driver is present

    3. apt-get install nvidia-glx nvidia-xconfig xserver-xorg libgl1-nvdia-glx
       - REBOOT

This worked on two different computers and in both cases the nouveau driver was still installed.

However, the usual debian approaches to installing a package did not work:
	 - apt-get install nvidia-glx
	 - dpkg --set-selections < <selections from working PC> ; apt-get dselect-upgrade

During one of the attempts to reinstall I found the following situation:
    root@berkeley:/home/jack# cat /proc/version
    Linux version 3.1.0-1-686-pae (Debian 3.1.6-1) (waldi@debian.org) (gcc version 4.6.2 (Debian 4.6.2-4) ) #1 SMP Fri Dec 23 19:59:41 UTC 2011
                                        
    ii  linux-headers-3.1.0-1-686-pae 3.1.8-2   <<                  Header files for Linux 3.1.0-1-686-pae
    ii  linux-headers-3.1.0-1-common  3.1.8-2   <<                  Common header files for Linux 3.1.0-1

Although the apt-get install nvidia-kernel-dkms succeeded without printing any warnings, note that the
linux-headers version does NOT match the kernel image. It is hard to see how dkms could build a valid
kernel module in such a case.

nvidia-kernel-dkms does not have a pre-install script but I think it would be useful to have one
that exits with an error if the linux-headers don't match exactly the version of the kernel, as
this would alert the user to the source of the error.

Also, the debian forums thread http://forums.debian.net/viewtopic.php?f=6&t=65738  claims the nvidia driver wiki
is out of date. It would be very helpful to include the nvidia driver howto above, as it was updated
in May, 2011. It worked for my installs without a problem.

I recommend closing out these two bugs as being caused only by an incorrect install procedure on my part.

thanks,
--jack




Removed tag(s) upstream and moreinfo. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 05 Feb 2012 12:10:23 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 05 Feb 2012 12:10:25 GMT) Full text and rfc822 format available.

Forcibly Merged 642497 644601 650861. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 05 Feb 2012 12:10:27 GMT) Full text and rfc822 format available.

Reply sent to Andreas Beckmann <debian@abeckmann.de>:
You have taken responsibility. (Sun, 05 Feb 2012 12:33:26 GMT) Full text and rfc822 format available.

Notification sent to jshaio@comcast.net:
Bug acknowledged by developer. (Sun, 05 Feb 2012 12:33:28 GMT) Full text and rfc822 format available.

Message #80 received at 642497-done@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 642497-done@bugs.debian.org
Subject: Re: Bug#642497: [Solved]: opengl crashes with nvidia driver after upgrade on wheezy
Date: Sun, 05 Feb 2012 13:12:12 +0100
On 2012-01-21 14:33, JS wrote:
> I recommend closing out these two bugs as being caused only by an incorrect install procedure on my part.

Thanks for the update.


Andreas




Reply sent to Andreas Beckmann <debian@abeckmann.de>:
You have taken responsibility. (Sun, 05 Feb 2012 12:33:35 GMT) Full text and rfc822 format available.

Notification sent to Diggory Hardy <diggory.hardy@gmail.com>:
Bug acknowledged by developer. (Sun, 05 Feb 2012 12:33:37 GMT) Full text and rfc822 format available.

Reply sent to Andreas Beckmann <debian@abeckmann.de>:
You have taken responsibility. (Sun, 05 Feb 2012 12:33:47 GMT) Full text and rfc822 format available.

Notification sent to js <jshaio@yahoo.com>:
Bug acknowledged by developer. (Sun, 05 Feb 2012 12:33:51 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Mar 2012 07:33:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:30:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.